GNU bug report logs - #36717
25.3; greek.el: deprecated vowel+oxia combinations should be replaced with vowel+tonos counterparts

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Robert Alessi <alessi@HIDDEN>; Keywords: notabug; dated Thu, 18 Jul 2019 13:39:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) notabug. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 15:14:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 11:14:36 2019
Received: from localhost ([127.0.0.1]:56447 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoUai-0005cn-5T
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 11:14:36 -0400
Received: from mx1.riseup.net ([198.252.153.129]:59502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoUag-0005ce-Da
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 11:14:34 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id B39631A11FF;
 Fri, 19 Jul 2019 08:14:33 -0700 (PDT)
X-Riseup-User-ID: 488D944961F52C2FEBAFC4DDD04DBDF6FBD393A149B82E3DFA0B0F921C6F13C5
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 6132C1203CB;
 Fri, 19 Jul 2019 08:14:33 -0700 (PDT)
Date: Fri, 19 Jul 2019 17:14:31 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190719151431.GA13127@HIDDEN>
References: <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <m2blxqqvig.fsf@HIDDEN>
 <83h87iur38.fsf@HIDDEN> <m2imryf92m.fsf@HIDDEN>
 <837e8eumks.fsf@HIDDEN> <m2wogedr3w.fsf@HIDDEN>
 <20190719145200.GD11910@HIDDEN> <83y30ut6fs.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83y30ut6fs.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: rpluim@HIDDEN, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Jul 19, 2019 at 06:00:55PM +0300, Eli Zaretskii wrote:
> > Hard to say.  I am thinking of some of my Greek colleagues who produce
> > in modern Greek editions and/or commentaries on classic texts.  I am
> > pretty sure that they use tonoi in every instance, but should they
> > wish to keep the distinction between tonos and oxeia, what would be
> > the more comfortable way to work with emacs?
> 
> They could switch between input methods back and forth.

This is what I do, and it's fine for me.

> Or we could add support for the other variants to existing methods,
> to let users use a single input method.

Surely, this would be more comfortable for some users, but how many?
I can't say.  But we were talking earlier about purists who could
argue that this addition would 'pollute' such or such input method.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 15:02:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 11:02:07 2019
Received: from localhost ([127.0.0.1]:56436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoUOd-0005In-LQ
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 11:02:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44045)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hoUOc-0005Ia-VX
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 11:02:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60235)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hoUNx-0006KG-F1; Fri, 19 Jul 2019 11:01:35 -0400
Received: from [176.228.60.248] (port=2055 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hoUNY-0000y9-C9; Fri, 19 Jul 2019 11:01:07 -0400
Date: Fri, 19 Jul 2019 18:00:55 +0300
Message-Id: <83y30ut6fs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
In-reply-to: <20190719145200.GD11910@HIDDEN> (message from Robert
 Alessi on Fri, 19 Jul 2019 16:52:00 +0200)
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <m2blxqqvig.fsf@HIDDEN>
 <83h87iur38.fsf@HIDDEN> <m2imryf92m.fsf@HIDDEN>
 <837e8eumks.fsf@HIDDEN>
 <m2wogedr3w.fsf@HIDDEN> <20190719145200.GD11910@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36717
Cc: rpluim@HIDDEN, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 19 Jul 2019 16:52:00 +0200
> From: Robert Alessi <alessi@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>, 36717 <at> debbugs.gnu.org
> 
> On Fri, Jul 19, 2019 at 04:41:07PM +0200, Robert Pluim wrote:
> >     Eli> I don't see why this would be a problem.  We should provide the
> >     Eli> variant expected by modern Greek in the input methods which target
> >     Eli> modern Greek, and the variants for Classic Greek in input methods
> >     Eli> which target that.  Bonus points for providing at least some of the
> >     Eli> other variants in each type of the input methods.
> > 
> > That would be convenient, but should perhaps be a new, separate, input
> > method.
> 
> Hard to say.  I am thinking of some of my Greek colleagues who produce
> in modern Greek editions and/or commentaries on classic texts.  I am
> pretty sure that they use tonoi in every instance, but should they
> wish to keep the distinction between tonos and oxeia, what would be
> the more comfortable way to work with emacs?

They could switch between input methods back and forth.  Or we could
add support for the other variants to existing methods, to let users
use a single input method.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 14:52:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 10:52:04 2019
Received: from localhost ([127.0.0.1]:56426 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoUEu-0004yo-5s
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:52:04 -0400
Received: from smtp1.tech.numericable.fr ([82.216.111.37]:45452)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoUEs-0004yH-4P
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:52:02 -0400
Received: from localhost (143.163.124.78.rev.sfr.net [78.124.163.143])
 by smtp1.tech.numericable.fr (Postfix) with ESMTP id CC62114535E;
 Fri, 19 Jul 2019 16:52:00 +0200 (CEST)
Date: Fri, 19 Jul 2019 16:52:00 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190719145200.GD11910@HIDDEN>
References: <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <m2blxqqvig.fsf@HIDDEN>
 <83h87iur38.fsf@HIDDEN> <m2imryf92m.fsf@HIDDEN>
 <837e8eumks.fsf@HIDDEN> <m2wogedr3w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <m2wogedr3w.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: -100
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddrieejgdejiecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfpfgfogfftkfevteeunffgpdfqfgfvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpeffhffvuffkfhggtggujggfsehttdertddtredvnecuhfhrohhmpeftohgsvghrthcutehlvghsshhiuceorghlvghsshhisehrohgsvghrthgrlhgvshhsihdrnhgvtheqnecurfgrrhgrmhepmhhouggvpehsmhhtphhouhhtnecuvehluhhsthgvrhfuihiivgeptd
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: Eli Zaretskii <eliz@HIDDEN>, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Jul 19, 2019 at 04:41:07PM +0200, Robert Pluim wrote:
>     Eli> I don't see why this would be a problem.  We should provide the
>     Eli> variant expected by modern Greek in the input methods which target
>     Eli> modern Greek, and the variants for Classic Greek in input methods
>     Eli> which target that.  Bonus points for providing at least some of the
>     Eli> other variants in each type of the input methods.
> 
> That would be convenient, but should perhaps be a new, separate, input
> method.

Hard to say.  I am thinking of some of my Greek colleagues who produce
in modern Greek editions and/or commentaries on classic texts.  I am
pretty sure that they use tonoi in every instance, but should they
wish to keep the distinction between tonos and oxeia, what would be
the more comfortable way to work with emacs?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 14:51:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 10:51:19 2019
Received: from localhost ([127.0.0.1]:56422 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoUEA-0004x0-QA
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:51:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42573)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hoUE6-0004wh-NU
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:51:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60028)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hoUE1-00088T-2Z; Fri, 19 Jul 2019 10:51:09 -0400
Received: from [176.228.60.248] (port=1455 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hoUE0-0000wY-Eo; Fri, 19 Jul 2019 10:51:08 -0400
Date: Fri, 19 Jul 2019 17:51:03 +0300
Message-Id: <8336j2ulgo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2wogedr3w.fsf@HIDDEN> (message from Robert Pluim on Fri, 19
 Jul 2019 16:41:07 +0200)
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <m2blxqqvig.fsf@HIDDEN>
 <83h87iur38.fsf@HIDDEN> <m2imryf92m.fsf@HIDDEN>
 <837e8eumks.fsf@HIDDEN> <m2wogedr3w.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org, alessi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: 36717 <at> debbugs.gnu.org,  alessi@HIDDEN
> Date: Fri, 19 Jul 2019 16:41:07 +0200
> 
> >>>>> On Fri, 19 Jul 2019 17:26:59 +0300, Eli Zaretskii <eliz@HIDDEN> said:
> 
>     Eli> As hinted by the last line above, you should try the reverse: type
>     Eli> "C-x 8 RET 3b9" followed by "C-x 8 RET 301".  Then compare that with
>     Eli> what you get for "C-x 8 RET 3af".
> 
> OK, thatʼs clear now. No sane person would ever do it that way, though :-)

Exactly my point, wrt the "advice" to use characters from the Basic
Greek block + diacriticals instead of the precomposed characters.

> >> We donʼt provide both forms within the same input method.
> 
>     Eli> I don't see why this would be a problem.  We should provide the
>     Eli> variant expected by modern Greek in the input methods which target
>     Eli> modern Greek, and the variants for Classic Greek in input methods
>     Eli> which target that.  Bonus points for providing at least some of the
>     Eli> other variants in each type of the input methods.
> 
> That would be convenient, but should perhaps be a new, separate, input
> method.

Could be.  However, the existing input methods already provide some of
the characters in both variants, and they certainly provide both oxia
and tonos as separate diacriticals.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 14:45:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 10:45:57 2019
Received: from localhost ([127.0.0.1]:56418 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoU8z-0004o4-69
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:45:57 -0400
Received: from smtp7.tech.numericable.fr ([82.216.111.43]:42240)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoU8w-0004nu-Ve
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:45:56 -0400
Received: from localhost (143.163.124.78.rev.sfr.net [78.124.163.143])
 by smtp7.tech.numericable.fr (Postfix) with ESMTP id A6438632CF;
 Fri, 19 Jul 2019 16:45:52 +0200 (CEST)
Date: Fri, 19 Jul 2019 16:45:52 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190719144552.GC11910@HIDDEN>
References: <20190718173252.GA3093@HIDDEN> <m2h87jrze2.fsf@HIDDEN>
 <20190718184700.GA4886@HIDDEN> <m24l3jrx0z.fsf@HIDDEN>
 <20190718203203.GG4886@HIDDEN> <83tvbiv7dp.fsf@HIDDEN>
 <m2blxqqvig.fsf@HIDDEN> <83h87iur38.fsf@HIDDEN>
 <m2imryf92m.fsf@HIDDEN> <837e8eumks.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <837e8eumks.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: -100
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddrieejgdekfecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfpfgfogfftkfevteeunffgpdfqfgfvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpeffhffvuffkfhggtggugfgjfgesthekredttderjeenucfhrhhomheptfhosggvrhhtucetlhgvshhsihcuoegrlhgvshhsihesrhhosggvrhhtrghlvghsshhirdhnvghtqeenucfrrghrrghmpehmohguvgepshhmthhpohhuthenucevlhhushhtvghrufhiiigvpedt
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: Robert Pluim <rpluim@HIDDEN>, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Jul 19, 2019 at 05:26:59PM +0300, Eli Zaretskii wrote:
> > We donʼt provide both forms within the same input method.
> 
> I don't see why this would be a problem.  We should provide the
> variant expected by modern Greek in the input methods which target
> modern Greek, and the variants for Classic Greek in input methods
> which target that.  Bonus points for providing at least some of the
> other variants in each type of the input methods.
> 
> > The question is whether we should provide both, or provide only
> > tonos, since letter + oxia were allegedly added by mistake, hence
> > standalone oxia should not be produced. Or we could change nothing.
> 
> I don't see that everyone agrees it was a mistake, and in any case
> both variants are still in usage.  So I see no need to change
> anything.

In my opinion, providing oxeia in the first place for classic Greek
was very right.  The distinction must be kept as some fonts render
tonoi and oxeiai very differently.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 14:41:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 10:41:17 2019
Received: from localhost ([127.0.0.1]:56414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoU4T-0004gd-Ik
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:41:17 -0400
Received: from mail-wm1-f42.google.com ([209.85.128.42]:35086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hoU4R-0004gK-Bz
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:41:16 -0400
Received: by mail-wm1-f42.google.com with SMTP id l2so29269717wmg.0
 for <36717 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 07:41:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=/XcyxB9g3PtlLAuNMdSheOt7TAjngeuUQHqq+2ofCzA=;
 b=SOCYWrAN70KWgxCFF1v6eKIG0SJ62tZtttD6/qCJtM+hNjVPugD4fV7qnitpoxanlX
 K0FSxuRqLmKom7X+U3ewwbA6CVk/SDpTQ7V2TorN8MKspWtd0q3Fr5SMx0WpojaLIgJ9
 A4QwPHO4WCroB/lTSEdq/ZFQBNfnrmamEpW57x5GMH0HHloLdT38mMvnVQBx5rX7DwNj
 2qNrO6WBD+TQYRhXj5uLaF8U5bm1TPRbDtJldqlYc5ZQU+M6kwPu2CzLma6Q/Y0VE+K8
 Bgo3SEHSdTx4iglMCzZbC4XXD2EXpPdSNA3x1j0yCF08PWd4uEYvAc87Z2U/8KMe9v0Q
 +Cqg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=/XcyxB9g3PtlLAuNMdSheOt7TAjngeuUQHqq+2ofCzA=;
 b=Jge+/Ypa2TzjJ4KGd/iTX+nd3xSAqHh+dkJurFPxfMxNg/vwGnGtRtDtRsuWHLLkO8
 n5wQjQiAEc06CtHszDBYSb0ZReyhuSzZFxe3ROhkJ91IEW4saXoiZ1fEAMmBQrlh3RRS
 3C9ipUyD/yZZVohUXYL+Bp9zVlRnr53CQQm2IoXsrcxvndzD2Tcb5/yAtzwHx3BUCIqc
 n5vIoSxCo3RtN1XKYzk+ndml1O8GyeE2WkeQjb6xe5fOt8JdRTxOV0+xD7sOL7BccQQ2
 RdO8QGp+6Ew6JAjqUqPohcNs5g7ftj3ujjybV9nIaWYJp17XTb8oZjwaPgEcE1rbypIP
 WTyQ==
X-Gm-Message-State: APjAAAUVCoIZHRwwo4nhZ7vMNRhKn3NTVHX1bVIxCDTyuB7sso7iUtrJ
 /KNSPXRGFmgJniK3Tv+5i4g=
X-Google-Smtp-Source: APXvYqyZXX1Iz68NBUQYYT3AmMk1d4qrq7PXjZB71k+X10yrSfjF8MRhDx2Nj7IuORvctN9amM+eeA==
X-Received: by 2002:a05:600c:24a:: with SMTP id
 10mr49639268wmj.7.1563547269415; 
 Fri, 19 Jul 2019 07:41:09 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id v16sm9994881wrn.28.2019.07.19.07.41.07
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 19 Jul 2019 07:41:08 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <m2blxqqvig.fsf@HIDDEN>
 <83h87iur38.fsf@HIDDEN> <m2imryf92m.fsf@HIDDEN>
 <837e8eumks.fsf@HIDDEN>
Date: Fri, 19 Jul 2019 16:41:07 +0200
In-Reply-To: <837e8eumks.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 19 Jul
 2019 17:26:59 +0300")
Message-ID: <m2wogedr3w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org, alessi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 19 Jul 2019 17:26:59 +0300, Eli Zaretskii <eliz@HIDDEN> said:

    Eli> As hinted by the last line above, you should try the reverse: type
    Eli> "C-x 8 RET 3b9" followed by "C-x 8 RET 301".  Then compare that wi=
th
    Eli> what you get for "C-x 8 RET 3af".

OK, that=CA=BCs clear now. No sane person would ever do it that way, though=
 :-)

>> We don=CA=BCt provide both forms within the same input method.

    Eli> I don't see why this would be a problem.  We should provide the
    Eli> variant expected by modern Greek in the input methods which target
    Eli> modern Greek, and the variants for Classic Greek in input methods
    Eli> which target that.  Bonus points for providing at least some of the
    Eli> other variants in each type of the input methods.

That would be convenient, but should perhaps be a new, separate, input
method.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 14:28:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 10:28:06 2019
Received: from localhost ([127.0.0.1]:56405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoTrh-0004L9-Tv
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:28:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37729)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hoTrg-0004KY-5S
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:28:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59610)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hoTrb-0007Wu-1K; Fri, 19 Jul 2019 10:27:59 -0400
Received: from [176.228.60.248] (port=4004 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hoTrZ-00083m-C6; Fri, 19 Jul 2019 10:27:57 -0400
Date: Fri, 19 Jul 2019 17:27:52 +0300
Message-Id: <835znyumjb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
In-reply-to: <20190719133122.GA9882@HIDDEN> (message from Robert
 Alessi on Fri, 19 Jul 2019 15:31:22 +0200)
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <20190718184700.GA4886@HIDDEN> <m24l3jrx0z.fsf@HIDDEN>
 <20190718203203.GG4886@HIDDEN> <83tvbiv7dp.fsf@HIDDEN>
 <20190719085824.GA3263@HIDDEN> <m2pnm6pe72.fsf@HIDDEN>
 <20190719094226.GA5734@HIDDEN> <m2h87ipd50.fsf@HIDDEN>
 <83ef2muqv0.fsf@HIDDEN>
 <83blxquqku.fsf@HIDDEN> <20190719133122.GA9882@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36717
Cc: rpluim@HIDDEN, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 19 Jul 2019 15:31:22 +0200
> From: Robert Alessi <alessi@HIDDEN>
> Cc: rpluim@HIDDEN, 36717 <at> debbugs.gnu.org
> 
> If I understand correctly, greek-ibycus4 which I use is exclusively
> designed for classical Greek input, but emacs also provides other
> input methods should one wishes to input modern Greek with tonoi.
> 
> So as far as I can tell, there is nothing to change.

I agree.  I think we should close this issue.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 14:27:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 10:27:14 2019
Received: from localhost ([127.0.0.1]:56401 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoTqs-0004JZ-DF
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:27:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37621)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hoTqq-0004JN-Qg
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:27:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59604)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hoTql-00073I-2i; Fri, 19 Jul 2019 10:27:07 -0400
Received: from [176.228.60.248] (port=3951 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hoTqj-0006PF-RE; Fri, 19 Jul 2019 10:27:06 -0400
Date: Fri, 19 Jul 2019 17:26:59 +0300
Message-Id: <837e8eumks.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2imryf92m.fsf@HIDDEN> (message from Robert Pluim on Fri, 19
 Jul 2019 15:27:45 +0200)
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <m2blxqqvig.fsf@HIDDEN>
 <83h87iur38.fsf@HIDDEN> <m2imryf92m.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org, alessi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: 36717 <at> debbugs.gnu.org,  alessi@HIDDEN
> Date: Fri, 19 Jul 2019 15:27:45 +0200
> 
>     >> My understanding of the situation is that the basic Greek block
>     >> should be used, rather than the extended Greek block, for the LETTER +
>     >> OXIA/TONOS combinations (and the extended block versions all decompose
>     >> to characters in the basic block + a combining mark).
> 
> Iʼm wrong about that bit in the parentheses, at least within Emacs. I
> should have said
> 
> "decompose to characters in the basic block, which in turn decompose
> to a base character + a combining mark", ie
> 
> GREEK SMALL LETTER IOTA WITH OXIA has decomposition
> GREEK SMALL LETTER IOTA WITH TONOS which has decomposition
> GREEK SMALL LETTER IOTA + COMBINING ACUTE ACCENT

That's OK, but it's not really relevant, AFAIU.  We don't force users
to type decomposed characters, primarily because that's inconvenient,
and because most users wouldn't know what a given precomposed
character decomposes into.  A user who _wants_ to type decomposed
characters can (or at least should be able to) do that, including by
using our input methods.

>     Eli> That's unrelated to the issue at hand, AFAIU.  It is relevant to how
>     Eli> you set up your fonts, but not how our input methods should work.  The
>     Eli> point there is that by using the Greek Extended block, you request the
>     Eli> precomposed glyphs from the font, which may or may not be according to
>     Eli> what you want; whereas by using base characters followed by combining
>     Eli> marks you leave it to the rendering system to select the glyph.  But
>     Eli> we should always keep in mind that the shaping engine we use can (and
>     Eli> usually does) decide to use a precomposed glyph even when we type the
>     Eli> character in its decomposed form.  So this is not really relevant to
>     Eli> our issue here.
> 
> Now you've confused me (or Iʼve been unclear). The relevant characters
> in the Greek basic block do not result in glyph composition:
> 
> C-u C-x = on ί =>
> 
>              position: 2893 of 3607 (80%), restriction: <411-3608>, column: 13
>             character: ί (displayed as ί) (codepoint 943, #o1657, #x3af)
>               charset: unicode (Unicode (ISO10646))
> code point in charset: 0x03AF
>                script: greek
>                syntax: w 	which means: word
>              category: .:Base, L:Left-to-right (strong), g:Greek, j:Japanese
>              to input: type "C-x 8 RET 3af" or "C-x 8 RET GREEK SMALL LETTER IOTA WITH TONOS"
>           buffer code: #xCE #xAF
>             file code: #xCE #xAF (encoded by coding system utf-8-emacs)
>               display: by this font (glyph code)
>     mac-ct:-*-Hack-normal-normal-normal-*-14-*-*-*-m-0-iso10646-1 (#x5DB)
> 
> Character code properties: customize what to show
>   name: GREEK SMALL LETTER IOTA WITH TONOS
>   old-name: GREEK SMALL LETTER IOTA TONOS
>   general-category: Ll (Letter, Lowercase)
>   decomposition: (953 769) ('ι' '́')

As hinted by the last line above, you should try the reverse: type
"C-x 8 RET 3b9" followed by "C-x 8 RET 301".  Then compare that with
what you get for "C-x 8 RET 3af".

IOW, I wasn't talking about "glyph decomposition" -- there's no such
thing AFAIK -- I was talking about the shaping engine displaying 2
characters as a single glyph using the font glyph for the precomposed
character.

>     >> To me that implies that the Greek input methods should use GREEK TONOS
>     >> (\u384) consistently rather then GREEK OXIA (\u1ffd), but I couldn't
>     >> see any explicit mention of that, and at least in my font they're
>     >> visually distinct.
> 
>     Eli> I don't actually understand this assertion, because we currently
>     Eli> provide both forms.  So I fail to see a problem in our input methods.
>     Eli> What did I miss?
> 
> We donʼt provide both forms within the same input method.

I don't see why this would be a problem.  We should provide the
variant expected by modern Greek in the input methods which target
modern Greek, and the variants for Classic Greek in input methods
which target that.  Bonus points for providing at least some of the
other variants in each type of the input methods.

> The question is whether we should provide both, or provide only
> tonos, since letter + oxia were allegedly added by mistake, hence
> standalone oxia should not be produced. Or we could change nothing.

I don't see that everyone agrees it was a mistake, and in any case
both variants are still in usage.  So I see no need to change
anything.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 13:47:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 09:47:20 2019
Received: from localhost ([127.0.0.1]:55423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoTEG-00037N-5h
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:47:20 -0400
Received: from mx1.riseup.net ([198.252.153.129]:55328)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoTEC-00037E-RI
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:47:18 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 193431B9419;
 Fri, 19 Jul 2019 06:47:16 -0700 (PDT)
X-Riseup-User-ID: 3E7101EB63F9D03F56C9BCDF1047A0992D9441956BF6FECFC22BE075D66AA549
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id A8CE112098B;
 Fri, 19 Jul 2019 06:47:15 -0700 (PDT)
Date: Fri, 19 Jul 2019 15:47:12 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190719134712.GD9882@HIDDEN>
References: <20190718173252.GA3093@HIDDEN> <m2h87jrze2.fsf@HIDDEN>
 <20190718184700.GA4886@HIDDEN> <m24l3jrx0z.fsf@HIDDEN>
 <20190718203203.GG4886@HIDDEN> <83tvbiv7dp.fsf@HIDDEN>
 <20190719085824.GA3263@HIDDEN> <83lfwuv05b.fsf@HIDDEN>
 <20190719095407.GB5734@HIDDEN> <83d0i6uqso.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83d0i6uqso.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: rpluim@HIDDEN, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Jul 19, 2019 at 03:55:51PM +0300, Eli Zaretskii wrote:
> > For example, if one makes no distinction between the two, then it
> > becomes harder to analyse large corpuses with a computer.
> 
> What do you mean by "makes no distinction"?  Those are different
> codepoints, regardless of how they look on display.  So we definitely
> _can_ distinguish between them.

I meant ``mixes up'': suppose you are dealing with large corpuses with
passages both in modern and ancient Greek and you only use one of the
two existing variants, either tonos or oxia: then if you wish to
analyse your texts with a computer, you are in trouble.  More
generally, any normalization leads to confusion.  This page will give
you some examples:
https://jktauber.com/articles/python-unicode-ancient-greek/

My point is that one should never use tonos variants in ancient Greek.
And so never use oxia variants in modern Greek.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 13:33:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 09:33:19 2019
Received: from localhost ([127.0.0.1]:55409 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoT0g-0002mp-Jl
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:33:18 -0400
Received: from mx1.riseup.net ([198.252.153.129]:51006)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoT0e-0002mg-Ji
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:33:16 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 1004D1A1186;
 Fri, 19 Jul 2019 06:33:16 -0700 (PDT)
X-Riseup-User-ID: 369315B0561CFAA4A3520E2A4E591C520410C8C46CCAA4BDEEA0FAEC3C782C52
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 9C413220065;
 Fri, 19 Jul 2019 06:33:15 -0700 (PDT)
Date: Fri, 19 Jul 2019 15:33:13 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190719133313.GC9882@HIDDEN>
References: <20190718184700.GA4886@HIDDEN> <m24l3jrx0z.fsf@HIDDEN>
 <20190718203203.GG4886@HIDDEN> <83tvbiv7dp.fsf@HIDDEN>
 <20190719085824.GA3263@HIDDEN> <m2pnm6pe72.fsf@HIDDEN>
 <20190719094226.GA5734@HIDDEN> <m2h87ipd50.fsf@HIDDEN>
 <83ef2muqv0.fsf@HIDDEN> <m2ef2mf8z2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <m2ef2mf8z2.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: Eli Zaretskii <eliz@HIDDEN>, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Jul 19, 2019 at 03:29:53PM +0200, Robert Pluim wrote:
>     >> Q: Which block of Greek characters should I use?
>     >> 
>     >> A: The answer to that is that it depends what you are doing. But
>     >> generally, the basic Greek block plus the use of the generic combining
>     >> marks in the Combining Diacritical Marks block (U+0300..U+036F) is the
>     >> best approach to polytonic Greek support.
> 
>     Eli> To me, the most important part of this is in the very first sentence.
>     Eli> It is not our business to second-guess "what the user is doing".  We
>     Eli> should just make sure they can produce both variants of the characters
>     Eli> involved, and let the user decide what they want/need.
> 
> That pleads for us doing nothing, since we have that today (just not
> within the same input method).

Agreed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 13:32:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 09:32:04 2019
Received: from localhost ([127.0.0.1]:55405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoSzU-0002O2-16
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:32:04 -0400
Received: from mx1.riseup.net ([198.252.153.129]:50564)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoSzT-0002Mo-5a
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:32:03 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 9C7631A2FFB;
 Fri, 19 Jul 2019 06:32:02 -0700 (PDT)
X-Riseup-User-ID: E92B91523C08DE0B72CC03EB414CA8AC6D66749C9BAAD29F4A0E63B978BDC8AB
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 581C1220065;
 Fri, 19 Jul 2019 06:32:02 -0700 (PDT)
Date: Fri, 19 Jul 2019 15:32:00 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190719133200.GB9882@HIDDEN>
References: <20190718184700.GA4886@HIDDEN> <m24l3jrx0z.fsf@HIDDEN>
 <20190718203203.GG4886@HIDDEN> <83tvbiv7dp.fsf@HIDDEN>
 <20190719085824.GA3263@HIDDEN> <m2pnm6pe72.fsf@HIDDEN>
 <20190719094226.GA5734@HIDDEN> <m2h87ipd50.fsf@HIDDEN>
 <20190719100304.GC5734@HIDDEN> <m2d0i6p7mb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <m2d0i6p7mb.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Jul 19, 2019 at 01:49:00PM +0200, Robert Pluim wrote:
>     Robert> He surely can't!  I have one question: do I have to modify the
>     Robert> greek.el that is in /usr/share/emacs/xx.y/lisp/leim/quail or is there
>     Robert> some place were to copy it under my own ~/.emacs.d?
> 
> Iʼd copy the relevant code into my .emacs (and perhaps even change the
> name of the input method), just to be sure thereʼs no conflict or
> accidental loading of the wrong file.
> 
Thank you.

R.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 13:31:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 09:31:29 2019
Received: from localhost ([127.0.0.1]:55401 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoSyu-0001ts-JW
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:31:28 -0400
Received: from mx1.riseup.net ([198.252.153.129]:50434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoSys-0001rf-8l
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:31:26 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id B64F41B9411;
 Fri, 19 Jul 2019 06:31:25 -0700 (PDT)
X-Riseup-User-ID: 1CA95EA926B6DD65EE5D2A64BE903D8D627B25AB2FAD4CF6B1E6489066CFA539
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 5D7E022001C;
 Fri, 19 Jul 2019 06:31:25 -0700 (PDT)
Date: Fri, 19 Jul 2019 15:31:22 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190719133122.GA9882@HIDDEN>
References: <20190718184700.GA4886@HIDDEN> <m24l3jrx0z.fsf@HIDDEN>
 <20190718203203.GG4886@HIDDEN> <83tvbiv7dp.fsf@HIDDEN>
 <20190719085824.GA3263@HIDDEN> <m2pnm6pe72.fsf@HIDDEN>
 <20190719094226.GA5734@HIDDEN> <m2h87ipd50.fsf@HIDDEN>
 <83ef2muqv0.fsf@HIDDEN> <83blxquqku.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83blxquqku.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: rpluim@HIDDEN, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Jul 19, 2019 at 04:00:33PM +0300, Eli Zaretskii wrote:
> Bottom line, after reading this thread and related material on the
> net, I must say I don't understand what might be wrong with our
> current Greek input methods.  It sounds like we allow users to type
> both characters with tonos and with oxia, and leave it to them to
> decide which one(s) they need.  I see nothing wrong with that, because
> only the user can know what they need.
> 
> Can someone please point out what am I missing?  Preferably with
> concrete examples of characters and input methods used to type them.
> 
> TIA

This is only my opinion, but since I am the one who started this
discussion, I must emphasize that the approach described above sounds
me right.  At first, being unable to get some substitution rules to
work in a Greek font using the oxia variants, and without knowing
tonos variants existed, I thought that emacs was using deprecated
variants after I came across the page of digitalclassicist.org on
``duplicated vowels''.  Further reading showed that this page leads to
some confusion.

As said in an earlier email, tonos and oxia refer to very different
systems, and only the latter should be used for classical Greek, even
if nowadays there is no visual distinction between the two.

If I understand correctly, greek-ibycus4 which I use is exclusively
designed for classical Greek input, but emacs also provides other
input methods should one wishes to input modern Greek with tonoi.

So as far as I can tell, there is nothing to change.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 13:30:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 09:30:02 2019
Received: from localhost ([127.0.0.1]:55397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoSxV-0000WV-QJ
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:30:02 -0400
Received: from mail-wr1-f46.google.com ([209.85.221.46]:45589)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hoSxU-0000W3-9f
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:30:00 -0400
Received: by mail-wr1-f46.google.com with SMTP id f9so32250346wre.12
 for <36717 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 06:30:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=gAdHHcKXv0iZ2zq60x9g8Mg94EhWpp+LMFWogCTn8KM=;
 b=KIwiOQE6XNOlfjNHphDayD+sjDxiUg0vcsCt+sYO/otoROnfP41aFPIrpEBuYMWxhf
 wSoCVKyKnYrV5kYr7ISEJ5VqF9Itbv9zMAa9vMAPLOE8i08R676UI47KNr9ZkDOrH6WK
 WtYmHU6eByOtd9bmuKEhdFUDcJz1wrdBq6CEZemWcXB6Mrvfwn4WDVwpEmVMkKwwAL8k
 gM1v6Uuh17iGNVVtROH+47eqU7woWB7fJvVSHPueOgEIe4+w+3iU5GnW/ZYHqfYXLtaV
 9KtOgLBaQUPDtd+q/JQ5kme3fy3Igtw+pmPh6iFLTx/dOUJT4USaitkY7wiF+qgM1xDE
 nYiA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=gAdHHcKXv0iZ2zq60x9g8Mg94EhWpp+LMFWogCTn8KM=;
 b=UkjhtogY0iMbMl79OZDCW0iTxvezQxTk1lOLAkuyPSobAAzKQ6p8CbPlWh/dwS/Uur
 +vPf95xcAQEn+y1m6GVl2KDFBXgnZEeGtLfe4WLdUl++F52oy2d1TmdTlUV2J0eqBPI+
 +RP1U1URPXY/gRlHFBFnHbx8b/mB0Spd+7HGLG93qDHY6L7KUOZPYV5y0mnqzX2OSqD/
 dT9WGZR5cLVra8OCVbmiyStHaw9mYGbwwCERC5KcLTXPh8TZcuQAUZDOEUbfO8Vb46N3
 45gKDjWdWjlEQhBJ0XH9/TqBAtS46Pkp+H8+0mzfpg8DLzP9nkkPW7Gw2l8ga+2qvh8B
 U3sQ==
X-Gm-Message-State: APjAAAXO9q2fyZvetBZ71PSTaEAtq2eSoQ7ew0m05kRIhWcEMsEzn/xR
 pOzlAhipvFXhSofj52baMsE=
X-Google-Smtp-Source: APXvYqw1NrDTaX24cbVqarb9Pa2eB7A0y36tcm3j5OHFvY6o+0VwWQomlrWCMvVdccb+Dxu/9HVKBA==
X-Received: by 2002:adf:fb52:: with SMTP id c18mr56633614wrs.216.1563542994483; 
 Fri, 19 Jul 2019 06:29:54 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id 18sm29544229wmg.43.2019.07.19.06.29.53
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 19 Jul 2019 06:29:53 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <20190719085824.GA3263@HIDDEN>
 <m2pnm6pe72.fsf@HIDDEN> <20190719094226.GA5734@HIDDEN>
 <m2h87ipd50.fsf@HIDDEN> <83ef2muqv0.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 19 Jul 2019 15:29:53 +0200
In-Reply-To: <83ef2muqv0.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 19 Jul
 2019 15:54:27 +0300")
Message-ID: <m2ef2mf8z2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org, alessi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 19 Jul 2019 15:54:27 +0300, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Robert Pluim <rpluim@HIDDEN>
    >> Cc: Eli Zaretskii <eliz@HIDDEN>,  36717 <at> debbugs.gnu.org
    >> Date: Fri, 19 Jul 2019 11:49:47 +0200
    >> 
    >> <https://www.unicode.org/faq/greek.html> says:
    >> 
    >> Q: Which block of Greek characters should I use?
    >> 
    >> A: The answer to that is that it depends what you are doing. But
    >> generally, the basic Greek block plus the use of the generic combining
    >> marks in the Combining Diacritical Marks block (U+0300..U+036F) is the
    >> best approach to polytonic Greek support.

    Eli> To me, the most important part of this is in the very first sentence.
    Eli> It is not our business to second-guess "what the user is doing".  We
    Eli> should just make sure they can produce both variants of the characters
    Eli> involved, and let the user decide what they want/need.

That pleads for us doing nothing, since we have that today (just not
within the same input method).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 13:27:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 09:27:56 2019
Received: from localhost ([127.0.0.1]:55389 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoSvT-0000Sr-Ny
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:27:56 -0400
Received: from mail-wm1-f51.google.com ([209.85.128.51]:40099)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hoSvR-0000SZ-8w
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:27:53 -0400
Received: by mail-wm1-f51.google.com with SMTP id v19so29055901wmj.5
 for <36717 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 06:27:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=Fv+C5US+Xm3s/htiQqRpJ5vtD7LN+yO5Gz0NGUTEPrM=;
 b=VeRcIsZ4LtwEfLJkp6xefkvSjebU1DN3nGF0WJJRV/6uk2bKtaC1GWBwhdGkY5lrdf
 P1iuGDDAhWeg4+tqzSxNirNQa5lRn1LYqXvJbgAIKsy2o/rUKTGh0mpGYVNNTFHPH+6K
 hgSDBOqjiVpQyvsOsbnsqgMjTCN+NWM9KOMiEWeeZyO5Ibu/3TFRJMrZ0+x+jH8zncEj
 pcqbwK4SPMadFgAGNd5OH6AKmxQYbFRO+rHrPHF3/hupKpDJ2teZFbeVJzJQncA3bo8j
 ImcfyaeCja7mJGkANyinQNHJky1NUoxsrkXR/RW5OGRhZ63AunqNMtpkC8MLA0tvIZ0g
 lNGQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=Fv+C5US+Xm3s/htiQqRpJ5vtD7LN+yO5Gz0NGUTEPrM=;
 b=FoBVT2R3xcBuvsonb4/g1E+CpB6JKrDTk3ro2wxlMfG8MknLFJv6n3Wy4W+3/ymgDu
 ZLUYYyilnFBNZ/+cZqoG8XmDuc1W6qUY7l0947rWZiQgo0W2TLfCMu3tAQ7B9vkVK9ja
 XVTr2ORskYg87XW1cCm139BQ/S0FzltUUDo3u+1M/OSIYT0oGKSVGq/srS4hEu7vtxq4
 ezhAAkVNoRSy8GEDNNaxPmdSdsoN7iT5Ef7Ek4gQIJa2mnfhE3MTpla9/loV6GLl76Vc
 kEUZyIAFeOuBOnGNpGxUZstTu7bW3yebH65f3hZ1UuXNqNV6lXC/b7w41sik2MisiTV3
 iORw==
X-Gm-Message-State: APjAAAUe5MmyyXFnnCrYfOxARZqFF22shallr9VNM8VhHzztiBjerVfa
 tnW6v6Am5f8Bnxh/yiqCcFU=
X-Google-Smtp-Source: APXvYqwy9/RUUNMTkfSTS2X5fh+cXFyAHVkgKcGpb4bYjDVvXCXGnspBgFbakb0RMCEfdly1NAJDMA==
X-Received: by 2002:a1c:dc46:: with SMTP id t67mr44793786wmg.159.1563542867271; 
 Fri, 19 Jul 2019 06:27:47 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id y24sm22177177wmi.10.2019.07.19.06.27.45
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 19 Jul 2019 06:27:46 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <m2blxqqvig.fsf@HIDDEN>
 <83h87iur38.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 19 Jul 2019 15:27:45 +0200
In-Reply-To: <83h87iur38.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 19 Jul
 2019 15:49:31 +0300")
Message-ID: <m2imryf92m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org, alessi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 19 Jul 2019 15:49:31 +0300, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Robert Pluim <rpluim@HIDDEN>
    >> Cc: Robert Alessi <alessi@HIDDEN>,  36717 <at> debbugs.gnu.org
    >> Date: Fri, 19 Jul 2019 10:27:35 +0200
    >>=20
    >> >>>>> On Fri, 19 Jul 2019 09:57:38 +0300, Eli Zaretskii <eliz@HIDDEN=
g> said:
    >>=20
    Eli> We could ask on the Unicode mailing list.  There are Unicode exper=
ts
    Eli> there, and they are quite friendly.  If someone can come up with a
    Eli> comprehensive description of our situation and the issues we are
    Eli> trying to resolve, please write to unicode@HIDDEN, and ask the
    Eli> questions.
    >>=20
    >> I think reading <https://www.unicode.org/faq/greek.html> helps
    >> some.

    Eli> It didn't help me, FWIW.

    >> My understanding of the situation is that the basic Greek block
    >> should be used, rather than the extended Greek block, for the LETTER=
 +
    >> OXIA/TONOS combinations (and the extended block versions all decompo=
se
    >> to characters in the basic block + a combining mark).

I=CA=BCm wrong about that bit in the parentheses, at least within Emacs. I
should have said

"decompose to characters in the basic block, which in turn decompose
to a base character + a combining mark", ie

GREEK SMALL LETTER IOTA WITH OXIA has decomposition
GREEK SMALL LETTER IOTA WITH TONOS which has decomposition
GREEK SMALL LETTER IOTA + COMBINING ACUTE ACCENT

    Eli> That's unrelated to the issue at hand, AFAIU.  It is relevant to h=
ow
    Eli> you set up your fonts, but not how our input methods should work. =
 The
    Eli> point there is that by using the Greek Extended block, you request=
 the
    Eli> precomposed glyphs from the font, which may or may not be accordin=
g to
    Eli> what you want; whereas by using base characters followed by combin=
ing
    Eli> marks you leave it to the rendering system to select the glyph.  B=
ut
    Eli> we should always keep in mind that the shaping engine we use can (=
and
    Eli> usually does) decide to use a precomposed glyph even when we type =
the
    Eli> character in its decomposed form.  So this is not really relevant =
to
    Eli> our issue here.

Now you've confused me (or I=CA=BCve been unclear). The relevant characters
in the Greek basic block do not result in glyph composition:

C-u C-x =3D on =CE=AF =3D>

             position: 2893 of 3607 (80%), restriction: <411-3608>, column:=
 13
            character: =CE=AF (displayed as =CE=AF) (codepoint 943, #o1657,=
 #x3af)
              charset: unicode (Unicode (ISO10646))
code point in charset: 0x03AF
               script: greek
               syntax: w 	which means: word
             category: .:Base, L:Left-to-right (strong), g:Greek, j:Japanese
             to input: type "C-x 8 RET 3af" or "C-x 8 RET GREEK SMALL LETTE=
R IOTA WITH TONOS"
          buffer code: #xCE #xAF
            file code: #xCE #xAF (encoded by coding system utf-8-emacs)
              display: by this font (glyph code)
    mac-ct:-*-Hack-normal-normal-normal-*-14-*-*-*-m-0-iso10646-1 (#x5DB)

Character code properties: customize what to show
  name: GREEK SMALL LETTER IOTA WITH TONOS
  old-name: GREEK SMALL LETTER IOTA TONOS
  general-category: Ll (Letter, Lowercase)
  decomposition: (953 769) ('=CE=B9' '=CC=81')

    >> To me that implies that the Greek input methods should use GREEK TON=
OS
    >> (\u384) consistently rather then GREEK OXIA (\u1ffd), but I couldn't
    >> see any explicit mention of that, and at least in my font they're
    >> visually distinct.

    Eli> I don't actually understand this assertion, because we currently
    Eli> provide both forms.  So I fail to see a problem in our input metho=
ds.
    Eli> What did I miss?

We don=CA=BCt provide both forms within the same input method. The question
is whether we should provide both, or provide only tonos, since letter
+ oxia were allegedly added by mistake, hence standalone oxia should
not be produced. Or we could change nothing.

Perhaps we should ask the unicode people :-)

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 13:00:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 09:00:46 2019
Received: from localhost ([127.0.0.1]:55358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoSVB-0008Gs-Vx
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:00:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hoSVA-0008Gc-Ff
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:00:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58132)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hoSV4-0006ws-S5; Fri, 19 Jul 2019 09:00:38 -0400
Received: from [176.228.60.248] (port=2664 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hoSV4-0001xs-AX; Fri, 19 Jul 2019 09:00:38 -0400
Date: Fri, 19 Jul 2019 16:00:33 +0300
Message-Id: <83blxquqku.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: alessi@HIDDEN
In-reply-to: <83ef2muqv0.fsf@HIDDEN> (message from Eli Zaretskii on Fri, 19
 Jul 2019 15:54:27 +0300)
Subject: Re: bug#36717: 25.3;
 greek.el: deprecated vowel+oxia combinations should be replaced with
 vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <20190719085824.GA3263@HIDDEN>
 <m2pnm6pe72.fsf@HIDDEN> <20190719094226.GA5734@HIDDEN>
 <m2h87ipd50.fsf@HIDDEN> <83ef2muqv0.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36717
Cc: rpluim@HIDDEN, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Bottom line, after reading this thread and related material on the
net, I must say I don't understand what might be wrong with our
current Greek input methods.  It sounds like we allow users to type
both characters with tonos and with oxia, and leave it to them to
decide which one(s) they need.  I see nothing wrong with that, because
only the user can know what they need.

Can someone please point out what am I missing?  Preferably with
concrete examples of characters and input methods used to type them.

TIA




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 12:56:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 08:56:05 2019
Received: from localhost ([127.0.0.1]:55350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoSQe-00088b-Va
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:56:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hoSQc-00088F-Or
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:56:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58033)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hoSQX-0003V9-5Q; Fri, 19 Jul 2019 08:55:57 -0400
Received: from [176.228.60.248] (port=2372 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hoSQV-0002GC-Rq; Fri, 19 Jul 2019 08:55:56 -0400
Date: Fri, 19 Jul 2019 15:55:51 +0300
Message-Id: <83d0i6uqso.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
In-reply-to: <20190719095407.GB5734@HIDDEN> (message from Robert
 Alessi on Fri, 19 Jul 2019 11:54:07 +0200)
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <20190719085824.GA3263@HIDDEN>
 <83lfwuv05b.fsf@HIDDEN> <20190719095407.GB5734@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36717
Cc: rpluim@HIDDEN, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 19 Jul 2019 11:54:07 +0200
> From: Robert Alessi <alessi@HIDDEN>
> Cc: rpluim@HIDDEN, 36717 <at> debbugs.gnu.org
> 
> >   As of 2016, the latest versions of Unicode (as of 2016) have now
> >   formally deprecated and removed the vowel+oxia combinations from the
> >   Greek extended range, leaving only the vowel+tonos from the basic Greek
> >   and Coptic range.
> > 
> > is not really accurate?
> 
> I would say so, to say the least, but I am still investigating.  What
> is sure is that tonos originally does not encode the same as oxia.
> The former encodes a stress, while the latter encodes a pitch.  This
> is undisputable.  That said, the fact that the Greek government did
> decree that tonos shall be the same as oxia (to be taken cautiously, I
> am not a specialist of modern Greek) surely introduced a lot of
> confusion.
> 
> For example, if one makes no distinction between the two, then it
> becomes harder to analyse large corpuses with a computer.

What do you mean by "makes no distinction"?  Those are different
codepoints, regardless of how they look on display.  So we definitely
_can_ distinguish between them.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 12:54:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 08:54:39 2019
Received: from localhost ([127.0.0.1]:55346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoSPH-00086T-JB
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:54:39 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43269)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hoSPF-00086F-Ai
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:54:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58014)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hoSP9-0002cS-IG; Fri, 19 Jul 2019 08:54:31 -0400
Received: from [176.228.60.248] (port=2286 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hoSP9-0001yB-2B; Fri, 19 Jul 2019 08:54:31 -0400
Date: Fri, 19 Jul 2019 15:54:27 +0300
Message-Id: <83ef2muqv0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2h87ipd50.fsf@HIDDEN> (message from Robert Pluim on Fri, 19
 Jul 2019 11:49:47 +0200)
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <20190719085824.GA3263@HIDDEN>
 <m2pnm6pe72.fsf@HIDDEN> <20190719094226.GA5734@HIDDEN>
 <m2h87ipd50.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org, alessi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  36717 <at> debbugs.gnu.org
> Date: Fri, 19 Jul 2019 11:49:47 +0200
> 
> <https://www.unicode.org/faq/greek.html> says:
> 
>     Q: Which block of Greek characters should I use?
> 
>     A: The answer to that is that it depends what you are doing. But
>     generally, the basic Greek block plus the use of the generic combining
>     marks in the Combining Diacritical Marks block (U+0300..U+036F) is the
>     best approach to polytonic Greek support.

To me, the most important part of this is in the very first sentence.
It is not our business to second-guess "what the user is doing".  We
should just make sure they can produce both variants of the characters
involved, and let the user decide what they want/need.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 12:52:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 08:52:55 2019
Received: from localhost ([127.0.0.1]:55342 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoSNb-00083l-60
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:52:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42963)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hoSNZ-00083Z-Ac
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:52:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57995)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hoSNT-00015r-QD; Fri, 19 Jul 2019 08:52:47 -0400
Received: from [176.228.60.248] (port=2181 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hoSNT-0001s9-6K; Fri, 19 Jul 2019 08:52:47 -0400
Date: Fri, 19 Jul 2019 15:52:43 +0300
Message-Id: <83ftn2uqxw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
In-reply-to: <20190719094226.GA5734@HIDDEN> (message from Robert
 Alessi on Fri, 19 Jul 2019 11:42:26 +0200)
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <20190719085824.GA3263@HIDDEN>
 <m2pnm6pe72.fsf@HIDDEN> <20190719094226.GA5734@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36717
Cc: rpluim@HIDDEN, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 19 Jul 2019 11:42:26 +0200
> From: Robert Alessi <alessi@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>, 36717 <at> debbugs.gnu.org
> 
> > OTOH Unicode seems to say that we should be using
> > the tonos variants anyway.
> 
> Is that to say that the oxia variants are actually not recommended by
> Unicode?

I don't think this matters for the issue at hand.  What variant is to
be used is entirely up to the user.  We should only be sure to allow
users to produce both variants.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 12:49:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 08:49:45 2019
Received: from localhost ([127.0.0.1]:55334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoSKX-0007yU-1W
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:49:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42155)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hoSKU-0007yG-G6
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:49:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57943)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hoSKO-0005v2-TW; Fri, 19 Jul 2019 08:49:36 -0400
Received: from [176.228.60.248] (port=1988 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hoSKO-0001cl-E8; Fri, 19 Jul 2019 08:49:36 -0400
Date: Fri, 19 Jul 2019 15:49:31 +0300
Message-Id: <83h87iur38.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2blxqqvig.fsf@HIDDEN> (message from Robert Pluim on Fri, 19
 Jul 2019 10:27:35 +0200)
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <m2blxqqvig.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org, alessi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Robert Alessi <alessi@HIDDEN>,  36717 <at> debbugs.gnu.org
> Date: Fri, 19 Jul 2019 10:27:35 +0200
> 
> >>>>> On Fri, 19 Jul 2019 09:57:38 +0300, Eli Zaretskii <eliz@HIDDEN> said:
> 
>     Eli> We could ask on the Unicode mailing list.  There are Unicode experts
>     Eli> there, and they are quite friendly.  If someone can come up with a
>     Eli> comprehensive description of our situation and the issues we are
>     Eli> trying to resolve, please write to unicode@HIDDEN, and ask the
>     Eli> questions.
> 
> I think reading <https://www.unicode.org/faq/greek.html> helps
> some.

It didn't help me, FWIW.

> My understanding of the situation is that the basic Greek block
> should be used, rather than the extended Greek block, for the LETTER +
> OXIA/TONOS combinations (and the extended block versions all decompose
> to characters in the basic block + a combining mark).

That's unrelated to the issue at hand, AFAIU.  It is relevant to how
you set up your fonts, but not how our input methods should work.  The
point there is that by using the Greek Extended block, you request the
precomposed glyphs from the font, which may or may not be according to
what you want; whereas by using base characters followed by combining
marks you leave it to the rendering system to select the glyph.  But
we should always keep in mind that the shaping engine we use can (and
usually does) decide to use a precomposed glyph even when we type the
character in its decomposed form.  So this is not really relevant to
our issue here.

> To me that implies that the Greek input methods should use GREEK TONOS
> (\u384) consistently rather then GREEK OXIA (\u1ffd), but I couldn't
> see any explicit mention of that, and at least in my font they're
> visually distinct.

I don't actually understand this assertion, because we currently
provide both forms.  So I fail to see a problem in our input methods.
What did I miss?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 12:40:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 08:40:52 2019
Received: from localhost ([127.0.0.1]:55326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoSBv-0007lT-Sh
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:40:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hoSBu-0007lG-6T
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:40:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57820)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hoSBn-0007YE-OK; Fri, 19 Jul 2019 08:40:43 -0400
Received: from [176.228.60.248] (port=1442 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hoSBn-00011p-6u; Fri, 19 Jul 2019 08:40:43 -0400
Date: Fri, 19 Jul 2019 15:40:36 +0300
Message-Id: <83imryuri3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
In-reply-to: <87lfwv2oot.fsf@HIDDEN> (contovob@HIDDEN)
Subject: Re: bug#36717: 25.3;
 greek.el: deprecated vowel+oxia combinations should be replaced with
 vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <87lfwv2oot.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org, alessi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Date: Thu, 18 Jul 2019 19:16:34 +0100
> Cc: 36717 <at> debbugs.gnu.org
> 
> What confuses me is that, AIUI, the "deprecated" codepoints should
> decompose to their Greek and Coptic counterparts[3].  How does Quail
> interplay with Unicode normalisation?

It doesn't.  Unicode normalization is implemented in core Emacs, and
it follows the Unicode rules on the one hand and the "decomposition"
property we read from UnicodeData.txt OTOH.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 11:49:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 07:49:11 2019
Received: from localhost ([127.0.0.1]:55249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoRNv-0003yU-KN
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 07:49:11 -0400
Received: from mail-wm1-f54.google.com ([209.85.128.54]:52958)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hoRNt-0003yG-Mw
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 07:49:10 -0400
Received: by mail-wm1-f54.google.com with SMTP id s3so28511690wms.2
 for <36717 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 04:49:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=WuGXsjo91/x4o4+kpOE9ESCeveqOKSczn9pfiwsno8I=;
 b=bMFApIf9Z4bzSjrCKuTXMN0bGZgiylicMNDUrEFzId0B6i4dFMTbn0oC7rJjD3sKgz
 AfwlcUuQPACSiw21ls1md2IzQUin3o+F3bKUCVOEx2h+nSefSXxMQJzFl3SpH4jfteKx
 hy21hznnh1BOjJoq7Jx2jI7kcoAu0SZlGsddpTcX+FWZCXMpH7wZoDCFrMnsRQEeRR3u
 ssoc4jaeTfs+1FluKXnHkUnacxYJLkeQEpk5ojNdk5P+osQLcr6MnP+5Iom8g5aQGFWm
 mF45IDqVy2gygsTW5JsVVV/WKekxwCXcSkQ/tfLIICQAyzArVt9rapzXZo8MCpRiuSFh
 QUrA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=WuGXsjo91/x4o4+kpOE9ESCeveqOKSczn9pfiwsno8I=;
 b=qIsQFskV84RMk5aZE7bGHVfrpch3TptoD58Pa/XJlH202u4detoeePe4W7lYbIMAbG
 asYsVvjBDsnX7JczXxeeGHHfEA54WLSb8Usj8b9H6A4TMcvUk3l9MgsGZv9HFJ1Xqo+k
 wyawFXwABjR9km+8cjeP6oRmGx5cOIVd2bjuizlBaRWosBiIv7nTYGBTSeXRigEzrQPL
 DJiBrvSPkemup/IgqDxhFD0gM9oRVZPjQxVVnYOXN4ews00dsT+Zu77elWUhCrPVeI13
 92GKkYVibLU5tRxDtQk07tBu+GzQZHxBFDHEWUIF9T9o4dlHZlNsTICZ5oaspYZmjo9o
 hD/g==
X-Gm-Message-State: APjAAAV1D12AXLeezpHvk0vwQzlCswaUST+J4e+DIS61Pd/EJBKySbEa
 IAO2bLbhKahQ42rPjXMldeE3l2z0
X-Google-Smtp-Source: APXvYqyshdASOaJnUwnk3y4fHamcf4/IINnCJhFAIExqz8+0NwLl5Z6kCIP6MNWI/sUnK37Wv1r3cQ==
X-Received: by 2002:a1c:6c08:: with SMTP id h8mr49614059wmc.62.1563536943192; 
 Fri, 19 Jul 2019 04:49:03 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id 18sm29225775wmg.43.2019.07.19.04.49.00
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 19 Jul 2019 04:49:01 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <20190719085824.GA3263@HIDDEN>
 <m2pnm6pe72.fsf@HIDDEN> <20190719094226.GA5734@HIDDEN>
 <m2h87ipd50.fsf@HIDDEN> <20190719100304.GC5734@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 19 Jul 2019 13:49:00 +0200
In-Reply-To: <20190719100304.GC5734@HIDDEN> (Robert Alessi's message
 of "Fri, 19 Jul 2019 12:03:04 +0200")
Message-ID: <m2d0i6p7mb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 19 Jul 2019 12:03:04 +0200, Robert Alessi <alessi@robertaless=
i.net> said:

    Robert> On Fri, Jul 19, 2019 at 11:49:47AM +0200, Robert Pluim wrote:
    Robert> Yes [2] would be interesting, I agree, but the purist also has =
a point.
    >>=20
    >> The purist can never prevent you from modifying your local copy of
    >> greek.el :-)

    Robert> He surely can't!  I have one question: do I have to modify the
    Robert> greek.el that is in /usr/share/emacs/xx.y/lisp/leim/quail or is=
 there
    Robert> some place were to copy it under my own ~/.emacs.d?

I=CA=BCd copy the relevant code into my .emacs (and perhaps even change the
name of the input method), just to be sure there=CA=BCs no conflict or
accidental loading of the wrong file.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 10:03:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 06:03:09 2019
Received: from localhost ([127.0.0.1]:55156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoPjJ-0007Ro-Jr
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 06:03:09 -0400
Received: from mx1.riseup.net ([198.252.153.129]:43970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoPjH-0007Rd-Bw
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 06:03:07 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id A68441B940E;
 Fri, 19 Jul 2019 03:03:06 -0700 (PDT)
X-Riseup-User-ID: 2E5085C4A8E664911FD214151DE17157B726FD0977D6742C598BF18008B0AA6B
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 4AD3C222689;
 Fri, 19 Jul 2019 03:03:06 -0700 (PDT)
Date: Fri, 19 Jul 2019 12:03:04 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190719100304.GC5734@HIDDEN>
References: <20190718173252.GA3093@HIDDEN> <m2h87jrze2.fsf@HIDDEN>
 <20190718184700.GA4886@HIDDEN> <m24l3jrx0z.fsf@HIDDEN>
 <20190718203203.GG4886@HIDDEN> <83tvbiv7dp.fsf@HIDDEN>
 <20190719085824.GA3263@HIDDEN> <m2pnm6pe72.fsf@HIDDEN>
 <20190719094226.GA5734@HIDDEN> <m2h87ipd50.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <m2h87ipd50.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: Eli Zaretskii <eliz@HIDDEN>, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Jul 19, 2019 at 11:49:47AM +0200, Robert Pluim wrote:
>     Robert> Yes [2] would be interesting, I agree, but the purist also has a point.
> 
> The purist can never prevent you from modifying your local copy of
> greek.el :-)

He surely can't!  I have one question: do I have to modify the
greek.el that is in /usr/share/emacs/xx.y/lisp/leim/quail or is there
some place were to copy it under my own ~/.emacs.d?

>     Robert> Is that to say that the oxia variants are actually not recommended by
>     Robert> Unicode?  Did you find information on this form unicode.org?
> 
> <https://www.unicode.org/faq/greek.html> says:
> 
>     Q: Which block of Greek characters should I use?
> 
>     A: The answer to that is that it depends what you are doing. But
>     generally, the basic Greek block plus the use of the generic combining
>     marks in the Combining Diacritical Marks block (U+0300..U+036F) is the
>     best approach to polytonic Greek support.

Thank you.  So I was not totally wrong in the first place.  This
statement also makes clear that what is said on digitalclassicist.org
needs to be qualified.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 09:54:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 05:54:13 2019
Received: from localhost ([127.0.0.1]:55140 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoPae-0007Bt-Ai
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 05:54:13 -0400
Received: from mx1.riseup.net ([198.252.153.129]:41196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoPac-0007Bl-Nq
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 05:54:11 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id D55021A2C54;
 Fri, 19 Jul 2019 02:54:09 -0700 (PDT)
X-Riseup-User-ID: DCF33E1697EB890D17D070464D2F1F6EC7C98C8A8E4108334663AA5DCA661B5E
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 80B6F22347D;
 Fri, 19 Jul 2019 02:54:09 -0700 (PDT)
Date: Fri, 19 Jul 2019 11:54:07 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190719095407.GB5734@HIDDEN>
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <20190719085824.GA3263@HIDDEN>
 <83lfwuv05b.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <83lfwuv05b.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: rpluim@HIDDEN, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Jul 19, 2019 at 12:33:52PM +0300, Eli Zaretskii wrote:
> > I went through almost all the documents that are listed here:
> > https://unicode.org/versions/ (in reverse chronological order), and
> > couldn't find any statement of Greek oxia being deprecated in favor of
> > tonos, contrary to what is claimed here:
> > https://wiki.digitalclassicist.org/Greek_Unicode_duplicated_vowels
> 
> So the basic claim that started this issue is no longer valid?  IOW,
> this assertion:
> 
>   As of 2016, the latest versions of Unicode (as of 2016) have now
>   formally deprecated and removed the vowel+oxia combinations from the
>   Greek extended range, leaving only the vowel+tonos from the basic Greek
>   and Coptic range.
> 
> is not really accurate?

I would say so, to say the least, but I am still investigating.  What
is sure is that tonos originally does not encode the same as oxia.
The former encodes a stress, while the latter encodes a pitch.  This
is undisputable.  That said, the fact that the Greek government did
decree that tonos shall be the same as oxia (to be taken cautiously, I
am not a specialist of modern Greek) surely introduced a lot of
confusion.

For example, if one makes no distinction between the two, then it
becomes harder to analyse large corpuses with a computer.

> > One question remains—and I wish to express my gratitude to all of you,
> > Robert, Basil and Eli: since assigning vowels with tonos and vowels
> > with oxia to the same code points is clearly unacceptable even if the
> > glyphs may be identical, is there a way to input tonos and vowels with
> > tonos with emacs?  I use greek-ibycus4, but if other input methods
> > can handle these letters, I would consider any change unnecessary.
> 
> "C-x RET 8" would be the immediate answer, IIUC.

Well that is not very friendly...

> But I'm still studying the issue, so maybe I'm missing something.

Just the same on my side.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 09:49:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 05:49:57 2019
Received: from localhost ([127.0.0.1]:55136 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoPWW-00075O-Nx
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 05:49:56 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:46689)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hoPWV-00075A-Ij
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 05:49:56 -0400
Received: by mail-wr1-f48.google.com with SMTP id z1so31586616wru.13
 for <36717 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 02:49:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=Cl0da6dubqaRhOXdE62dyZxPUFEGal56taMPPzXtkO8=;
 b=uhdQrFFaimFcf55MDV5nKY1/T6AGaR7aqXOyHF/rLkNLDIi9aFGHhcYUt6MJeEP/Jh
 l8neSz4yGhLmY5zxjBVtdjq/aQyFOh5sI1QI1mryjqCsKnMIP1g2zzuSnaohvz2VbJ25
 utTHCYIrehMN69RWYJgJp+DYF+R7hZRZ2vUi4AtDKm1hXENktAb5sv+Zbs+NRGm5mq0t
 UPaeTZNnvqGmbgSJLzgYHwveGHl6kNXIcV+mJiKxnuNUMo+FHbyc/xJzNsCMmFJ7+4Wf
 VcN4BUHVdf92l6iB95c+XK/usdmtNe8s66xTZHwcRm1x0snAPyirdXqxk9XkCFxZOedc
 Hfag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=Cl0da6dubqaRhOXdE62dyZxPUFEGal56taMPPzXtkO8=;
 b=TeoUFDZDg3Fx6lvboENzan2aQ7kYYw+ES8ry+gkmNJ0z3x2+IrWlyzsntVwbArCJgY
 2bTlJatiS7jf8lXJpEDcm4Iyr3yok3Nrv6qDOAiOPzppw92z4cugUQadRUROS2gslc/+
 XkvGlLlqoMShzd8PCyfgaKB1fXVx46YidRKkAlnpqXbRyd5j+YMtUkpEHk9+heVVsII3
 OgLvVBkrX2n/dLxFknO1BRPSw7U9ajOOC0ilj0sVP7qan/KBjWGIGSg6a3uAblkCplRI
 XKvKeYgHLyxnS1Z2gqr4Hk5lnxl+47exWtHWS2QVGkuUsrM+PF5KCH1klUntBHbbMlZW
 U1PA==
X-Gm-Message-State: APjAAAXNqzuyjY0IcDGvjZLekUo0YQJuhh7z58YptMv8xr6cKPI3+d5S
 1jEb03FiFL7Zi9LhJckKz9GW42tuc3w=
X-Google-Smtp-Source: APXvYqxp6TkJVt+KnqnaNLBjr3/6CTl++mlhMu12XeK790WaiyJP5o22GsEunqSuUq5M2q0mJkPkqg==
X-Received: by 2002:a5d:6389:: with SMTP id p9mr26667445wru.297.1563529789218; 
 Fri, 19 Jul 2019 02:49:49 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id c3sm34348852wrx.19.2019.07.19.02.49.48
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 19 Jul 2019 02:49:48 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <20190719085824.GA3263@HIDDEN>
 <m2pnm6pe72.fsf@HIDDEN> <20190719094226.GA5734@HIDDEN>
Date: Fri, 19 Jul 2019 11:49:47 +0200
In-Reply-To: <20190719094226.GA5734@HIDDEN> (Robert Alessi's message
 of "Fri, 19 Jul 2019 11:42:26 +0200")
Message-ID: <m2h87ipd50.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: Eli Zaretskii <eliz@HIDDEN>, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 19 Jul 2019 11:42:26 +0200, Robert Alessi <alessi@robertaless=
i.net> said:
    >> I=CA=BCd probably lean towards [2], but a purist might says that we=
=CA=BCre
    >> polluting an input method intended for classical greek with a 'moder=
n'
    >> set of characters.

    Robert> Yes [2] would be interesting, I agree, but the purist also has =
a point.

The purist can never prevent you from modifying your local copy of
greek.el :-)

    >> OTOH Unicode seems to say that we should be using
    >> the tonos variants anyway.

    Robert> Is that to say that the oxia variants are actually not recommen=
ded by
    Robert> Unicode?  Did you find information on this form unicode.org?

<https://www.unicode.org/faq/greek.html> says:

    Q: Which block of Greek characters should I use?

    A: The answer to that is that it depends what you are doing. But
    generally, the basic Greek block plus the use of the generic combining
    marks in the Combining Diacritical Marks block (U+0300..U+036F) is the
    best approach to polytonic Greek support.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 09:42:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 05:42:32 2019
Received: from localhost ([127.0.0.1]:55132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoPPL-0006tr-Rr
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 05:42:32 -0400
Received: from mx1.riseup.net ([198.252.153.129]:37642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoPPK-0006ti-26
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 05:42:30 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 3BFE21A2C54;
 Fri, 19 Jul 2019 02:42:29 -0700 (PDT)
X-Riseup-User-ID: 7E00A5FB34E1A0427E1C15AAC9B0C9B1D1DC733DFAC0C907D559D989786FCB37
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id DCA8D2233FE;
 Fri, 19 Jul 2019 02:42:28 -0700 (PDT)
Date: Fri, 19 Jul 2019 11:42:26 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190719094226.GA5734@HIDDEN>
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <20190719085824.GA3263@HIDDEN>
 <m2pnm6pe72.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <m2pnm6pe72.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: Eli Zaretskii <eliz@HIDDEN>, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Jul 19, 2019 at 11:26:57AM +0200, Robert Pluim wrote:
> >>>>> On Fri, 19 Jul 2019 10:58:24 +0200, Robert Alessi <alessi@HIDDEN> said:
> 
>     Robert> Robert, Basil and Eli: since assigning vowels with tonos and vowels
>     Robert> with oxia to the same code points is clearly unacceptable even if the
>     Robert> glyphs may be identical, is there a way to input tonos and vowels with
>     Robert> tonos with emacs?  I use greek-ibycus4, but if other input methods
>     Robert> can handle these letters, I would consider any change unnecessary.
> 
> 1. You can locally derive an input method from greek-ibycus4, and
> replace the entries for letter + oxia with letter with tonos (or we
> can make that change in emacs)

This is what I did in the first place.  More precisely, I replaced
greek.el with a new greek.el which included the substitutions, but I
reverted to the original greek.el after realizing that the statements
of digitalclassicist.org are in fact questionable.

> 2. Same, but we allow for entering both variants, so that eg
> 
> i' => iota with oxia
> i; => iota with tonos (this is how eg greek-postfix does it)
 
Interesting option.

> 3. You change input methods betweend greek-ibycus4 and greek postfix,
> enter the character + tonos using i;, then switch back

This is what I would prefer (see below).

> 4. Last resort: enter the required character directly using
> 
> C-x 8 RET 3af
> or
> C-x 8 RET GREEK SMALL LETTER IOTA WITH TONOS

Provided one has not many characters to enter!

> Iʼd probably lean towards [2], but a purist might says that weʼre
> polluting an input method intended for classical greek with a 'modern'
> set of characters.

Yes [2] would be interesting, I agree, but the purist also has a point.

> OTOH Unicode seems to say that we should be using
> the tonos variants anyway.

Is that to say that the oxia variants are actually not recommended by
Unicode?  Did you find information on this form unicode.org?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 09:41:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 05:41:12 2019
Received: from localhost ([127.0.0.1]:55128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoPO2-0006ro-G1
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 05:41:11 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:44697)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hoPO0-0006rZ-NT
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 05:41:09 -0400
Received: by mail-wr1-f54.google.com with SMTP id p17so31554321wrf.11
 for <36717 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 02:41:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=81fzqjA1grJ6Esz8q0LJ6rNFwld7KvkqXeSUGHBzuTQ=;
 b=pIa1WDEmrDlp2xO/DnewAx18C7/SxMPM2zt4loxKkD7DwZ1W9VgbpMjoPKLaVsMBsx
 oIHumacuGoFNYl4hHxVlzM/3XghaCmQNds7LGC3KipRIe/U4BlBJw5naykgCoZo/5OQ+
 k0Pafxqw7mAwmVElCMs/4zrHW+BR2ZyPPy5WxHFNpjRxdRUbWD8bkqonBNdYtF4MGc0U
 9HLcQAH9O3HlLsyrgpF788Ny22G1R9Llhsyk1UJewNaYGCcr6wUnPRq56IlqMTzcJ/Tc
 DMY4YbgE1JdPVFWo5YXHfu+Hju8dDRrLdfWEOxZ5HN3HtZ+M7rOy7bioPU3Y1YIriPjS
 hm8Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=81fzqjA1grJ6Esz8q0LJ6rNFwld7KvkqXeSUGHBzuTQ=;
 b=rraNTi7BGEncGsitjdyVxCeM1QgOAl9xTNhZTc3dQyCHwyvkEu5HknIBu9aoQ1GO0O
 74NlRWDEepS/KbyK8vA+dknpWbX1fQIFirZsNlby9pSRB4QXPniwPz2zPS7nYrYlLunH
 DSLntQ4tUZQ14ywcK+nMphYf+djiEorsF+Z9g9dDj2jxAMWyUiWVjk973c3tJxJHV4jx
 w5UjXOlU3USuZSaN8I+rRgq0YrEKrR/7P9dToEic3wqnnm8eK7A3qORO40RUkilKk6FY
 xaNbaGrJRs5N+EjGV1vLQOM1voiMTaqEmcyQ33O/6KMgLiIXiWim1tJoEwC5VJtXOMat
 QVKQ==
X-Gm-Message-State: APjAAAUKb/UQnVePHEuS+m11LxyuBEYxQEvuUH80ZIPeHh8ycvYmuER/
 mDUL8SCXV37SkpWR4AzIccQ7r+18KZQ=
X-Google-Smtp-Source: APXvYqwI50uDAdsXBvtyWL9T27PVIFnAvZSXVYKlelNSDSM9wcAFgwWWtxLmMP8X9THh0VXXCLDDoQ==
X-Received: by 2002:a5d:6284:: with SMTP id k4mr21239806wru.179.1563529262254; 
 Fri, 19 Jul 2019 02:41:02 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id o26sm48573280wro.53.2019.07.19.02.40.54
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 19 Jul 2019 02:40:54 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <87k1cf2ooo.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 19 Jul 2019 11:40:53 +0200
In-Reply-To: <87k1cf2ooo.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Thu, 18 Jul 2019 19:16:39 +0100")
Message-ID: <m2lfwupdju.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org, Robert Alessi <alessi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 18 Jul 2019 19:16:39 +0100, "Basil L. Contovounesios" <contovob@HIDDEN> said:

    Basil> diff --git a/lisp/leim/quail/rfc1345.el b/lisp/leim/quail/rfc1345.el

Note that rfc1345.el has entries for both vowel + oxia and vowel +
tonos variants, so we should probably not change it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 09:34:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 05:34:07 2019
Received: from localhost ([127.0.0.1]:55124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoPHD-0006hW-Ex
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 05:34:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55571)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hoPHB-0006gx-EB
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 05:34:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45536)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hoPH5-0002Vj-HV; Fri, 19 Jul 2019 05:33:59 -0400
Received: from [176.228.60.248] (port=2024 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hoPH4-0001kD-Mf; Fri, 19 Jul 2019 05:33:59 -0400
Date: Fri, 19 Jul 2019 12:33:52 +0300
Message-Id: <83lfwuv05b.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
In-reply-to: <20190719085824.GA3263@HIDDEN> (message from Robert
 Alessi on Fri, 19 Jul 2019 10:58:24 +0200)
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <20190719085824.GA3263@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36717
Cc: rpluim@HIDDEN, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 19 Jul 2019 10:58:24 +0200
> From: Robert Alessi <alessi@HIDDEN>
> Cc: rpluim@HIDDEN, 36717 <at> debbugs.gnu.org
> 
> I went through almost all the documents that are listed here:
> https://unicode.org/versions/ (in reverse chronological order), and
> couldn't find any statement of Greek oxia being deprecated in favor of
> tonos, contrary to what is claimed here:
> https://wiki.digitalclassicist.org/Greek_Unicode_duplicated_vowels

So the basic claim that started this issue is no longer valid?  IOW,
this assertion:

  As of 2016, the latest versions of Unicode (as of 2016) have now
  formally deprecated and removed the vowel+oxia combinations from the
  Greek extended range, leaving only the vowel+tonos from the basic Greek
  and Coptic range.

is not really accurate?

> One question remains—and I wish to express my gratitude to all of you,
> Robert, Basil and Eli: since assigning vowels with tonos and vowels
> with oxia to the same code points is clearly unacceptable even if the
> glyphs may be identical, is there a way to input tonos and vowels with
> tonos with emacs?  I use greek-ibycus4, but if other input methods
> can handle these letters, I would consider any change unnecessary.

"C-x RET 8" would be the immediate answer, IIUC.

But I'm still studying the issue, so maybe I'm missing something.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 09:27:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 05:27:06 2019
Received: from localhost ([127.0.0.1]:55120 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoPAQ-0006Td-Kl
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 05:27:06 -0400
Received: from mail-wr1-f50.google.com ([209.85.221.50]:46714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hoPAP-0006T9-8A
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 05:27:05 -0400
Received: by mail-wr1-f50.google.com with SMTP id z1so31513941wru.13
 for <36717 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 02:27:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=HHx1xv496J1xjFQwlnTzvvdiTXFC3I3XUbYKYF/WhTU=;
 b=qQ3qrVgTeet6DEV0G3SA36O/Hh5HVZGs5cImJcm6/VBCawO3VaAYSmW5G72YQWVf58
 5BKZvx1h9TyXpjuvQcI1SiDlKaBppoliFjklBYH3mjRlOQQDIAuDHywmTVgsS/8YVtRc
 32IZ97JNJXmGEcLe0BjQa65Tbvmf1cZGH7tgJl/AdIG0eBO4nkTPEVSkV+QvB3+AehLC
 V6xylsk+9fGZC0wYKxHnqqFxc65TfMmLpFj5ptDz2r2oVLmE/emgdKc7NY2Uhab0g/JX
 yzBURjqSjpKQwWRrYjn99y8PTA0zslenTk1MRqaxK8dDDU2Z1gbyj+/qlt3Zvl/ZY4nx
 xWQw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=HHx1xv496J1xjFQwlnTzvvdiTXFC3I3XUbYKYF/WhTU=;
 b=kAst0V7JnBk39C5LSunag0HO5NuTA+Kz35O4emfqKYWX4eWp8W0J+lv1swnChob7oA
 eRbXJ2RUBCPiTJNkbm1/wjrczoP1wsKy9wKMfe/tUItzbypWpJtNZ7SUHf6zTfuhQ77z
 AQskxbdfZuLxhBU1Sxzlxnrugb2yAyDssnKyrxv3h9t/DsGvFWCtbM19oBm7/sCRJF+j
 XBMPjsTDFtZVc58FBsifQcJtSNOTw5UiUu9kaaIKNPthhF4Uk4Q2AqEuEIE9EqmFopPh
 LMw2gSKPvj3+IplTcffVsibMq/9I+7CQObx9Rw0hWPQthx+/6QN8Yd5GLl5hy0uLGw34
 dn/Q==
X-Gm-Message-State: APjAAAVaxP0X0duXwX3fh0ytz2h7sL80ONoHcWPyk9HTkJNAcqUTtX1o
 lFRPxwRWQd7IpX+yo09ph5LSqv42VKI=
X-Google-Smtp-Source: APXvYqxAzihrQNK5/xyiv64Ch3szWGrsVZHrtv45jsPjUvwVDXSZO6kWQaAZ8fu6ko7qkNkAKZY7uw==
X-Received: by 2002:a5d:65c5:: with SMTP id e5mr5349009wrw.266.1563528418988; 
 Fri, 19 Jul 2019 02:26:58 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id 2sm36549030wrn.29.2019.07.19.02.26.57
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 19 Jul 2019 02:26:58 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <20190719085824.GA3263@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 19 Jul 2019 11:26:57 +0200
In-Reply-To: <20190719085824.GA3263@HIDDEN> (Robert Alessi's message
 of "Fri, 19 Jul 2019 10:58:24 +0200")
Message-ID: <m2pnm6pe72.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: Eli Zaretskii <eliz@HIDDEN>, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 19 Jul 2019 10:58:24 +0200, Robert Alessi <alessi@robertaless=
i.net> said:

    Robert> Robert, Basil and Eli: since assigning vowels with tonos and vo=
wels
    Robert> with oxia to the same code points is clearly unacceptable even =
if the
    Robert> glyphs may be identical, is there a way to input tonos and vowe=
ls with
    Robert> tonos with emacs?  I use greek-ibycus4, but if other input meth=
ods
    Robert> can handle these letters, I would consider any change unnecessa=
ry.

1. You can locally derive an input method from greek-ibycus4, and
replace the entries for letter + oxia with letter with tonos (or we
can make that change in emacs)

2. Same, but we allow for entering both variants, so that eg

i' =3D> iota with oxia
i; =3D> iota with tonos (this is how eg greek-postfix does it)

3. You change input methods betweend greek-ibycus4 and greek postfix,
enter the character + tonos using i;, then switch back

4. Last resort: enter the required character directly using

C-x 8 RET 3af
or
C-x 8 RET GREEK SMALL LETTER IOTA WITH TONOS

I=CA=BCd probably lean towards [2], but a purist might says that we=CA=BCre
polluting an input method intended for classical greek with a 'modern'
set of characters. OTOH Unicode seems to say that we should be using
the tonos variants anyway.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 09:09:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 05:09:08 2019
Received: from localhost ([127.0.0.1]:55111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoOt1-00064T-Mq
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 05:09:07 -0400
Received: from mx1.riseup.net ([198.252.153.129]:57070)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoOsz-00064K-EN
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 05:09:05 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id C663D1B9321;
 Fri, 19 Jul 2019 02:09:04 -0700 (PDT)
X-Riseup-User-ID: 51A383547A12948EB88FE0513699CD78E1CC9D9E1ECC58E45C523735D19F9A59
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 62C74223123;
 Fri, 19 Jul 2019 02:09:04 -0700 (PDT)
Date: Fri, 19 Jul 2019 11:09:02 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190719090902.GB3263@HIDDEN>
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN> <m2blxqqvig.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <m2blxqqvig.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: Eli Zaretskii <eliz@HIDDEN>, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Jul 19, 2019 at 10:27:35AM +0200, Robert Pluim wrote:
> >>>>> On Fri, 19 Jul 2019 09:57:38 +0300, Eli Zaretskii <eliz@HIDDEN> said:
> 
>     Eli> We could ask on the Unicode mailing list.  There are Unicode experts
>     Eli> there, and they are quite friendly.  If someone can come up with a
>     Eli> comprehensive description of our situation and the issues we are
>     Eli> trying to resolve, please write to unicode@HIDDEN, and ask the
>     Eli> questions.
> 
> I think reading <https://www.unicode.org/faq/greek.html> helps
> some. My understanding of the situation is that the basic Greek block
> should be used, rather than the extended Greek block, for the LETTER +
> OXIA/TONOS combinations (and the extended block versions all decompose
> to characters in the basic block + a combining mark).
> 
> To me that implies that the Greek input methods should use GREEK TONOS
> (\u384) consistently rather then GREEK OXIA (\u1ffd), but I couldn't
> see any explicit mention of that, and at least in my font they're
> visually distinct.
> 
> Thereʼs also <http://www.opoudjis.net/unicode/unicode.html>, but
> thatʼs much longer, so I only read the bit about oxia vs tonos, and it
> also has nothing to say on which to use when inserting only the
> accenting character itself.

It is quite an intricate business!  I have read this page yesterday
and also went through some of the references that are given.

What is very confusing in my opinion is that since the Greek
government allegedly decreed to mix up tonos and oxia, in a way, just
because tonos (as distinct from oxia) was the result of an earlier
reform, this may be interpreted as a deprecation of tonos and simple
vowels with tonos, and not the other way round...

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 08:58:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 04:58:31 2019
Received: from localhost ([127.0.0.1]:55106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoOil-0005os-Hn
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 04:58:31 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoOij-0005ok-44
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 04:58:30 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 388B81A29FE;
 Fri, 19 Jul 2019 01:58:28 -0700 (PDT)
X-Riseup-User-ID: CA94C61AF70F33B71D34D4A6C13D6BEE899CDEF73469B7F6481B34F9E8771284
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id C6BAF22312A;
 Fri, 19 Jul 2019 01:58:27 -0700 (PDT)
Date: Fri, 19 Jul 2019 10:58:24 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190719085824.GA3263@HIDDEN>
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <83tvbiv7dp.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: rpluim@HIDDEN, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Eli,

On Fri, Jul 19, 2019 at 09:57:38AM +0300, Eli Zaretskii wrote:
> > > But those methods that have tonos are for 'modern' greek, whereas the
> > > ones that have oxia are for classical greek, as Basil pointed out, so
> > > perhaps thereʼs no need to change anything (unless thereʼs an edict
> > > from the Unicode people that tonos must be used even when writing
> > > classical greek).
> > 
> > Good point.  I will try to look for such an edict!
> 
> We could ask on the Unicode mailing list.  There are Unicode experts
> there, and they are quite friendly.  If someone can come up with a
> comprehensive description of our situation and the issues we are
> trying to resolve, please write to unicode@HIDDEN, and ask the
> questions.

As of this writing, I am doing some research on this topic.  At least,
I went through almost all the documents that are listed here:
https://unicode.org/versions/ (in reverse chronological order), and
couldn't find any statement of Greek oxia being deprecated in favor of
tonos, contrary to what is claimed here:
https://wiki.digitalclassicist.org/Greek_Unicode_duplicated_vowels

Strictly speaking, tonos is not to be mistaken for oxia: that is for
sure, as tonos was introduced as a result of a reform to denote a
tone, namely a stress on some vowels, and not a pitch, namely a rising
and falling voice on accented vowels.  Confusion began in 1986 (from
what I learned) when the Greek government decreed that tonos shall be
the acute.  In addition to this, Unicode initially served both Greek
and Coptic on the same block, starting at U+0370.  At this time, only
monotonic Greek was served.  Later, an additional block called Greek
Extended was added at U+1F00, let alone further additions being
encoded in the Supplementary Multilingual Plane...

From what I could see, many Greek fonts originally reflected the
distinction between tonos and oxia.  But nowadays, they simply mix
them up.  This is precisely why I was not able to instruct FontForge
to take into account vowels with oxia in some of the substitution
rules of Old Standard which is a very fine Greek font (see
https://ctan.org/pkg/oldstandard): vowels with oxia were simply
missing from the Greek Extended Block, and what I did not see is a
rule that instructed to absorb vowels with oxia into vowels with tonos
as the glyphs are all strictly the same.

One question remains—and I wish to express my gratitude to all of you,
Robert, Basil and Eli: since assigning vowels with tonos and vowels
with oxia to the same code points is clearly unacceptable even if the
glyphs may be identical, is there a way to input tonos and vowels with
tonos with emacs?  I use greek-ibycus4, but if other input methods
can handle these letters, I would consider any change unnecessary.

Many thanks again to all of you!

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 08:27:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 04:27:48 2019
Received: from localhost ([127.0.0.1]:55096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoOF2-000554-GT
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 04:27:48 -0400
Received: from mail-wr1-f50.google.com ([209.85.221.50]:34710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hoOF0-00054p-EA
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 04:27:46 -0400
Received: by mail-wr1-f50.google.com with SMTP id 31so31405060wrm.1
 for <36717 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 01:27:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=PENezgU380iRA2H69D6nSC89mFGYY6l5aFZXUMJH7X4=;
 b=KSXACj3bEXHlQ8YV/+tbT6vseL6iMrcchiDKCTao50QMShShjJ1PLJnRN4sgvEyBY7
 Qflh0OCwV+fLAbtIx/2tvjyNN5IghlgzVjz86mePVq37LPI+EvNSoGJsxs2knSHvr4tR
 uBFv8EmaQf8N2n84JGneBDoLIufn6GDO7wxFnBhXuC8z2mrOg5tNA4WiHJ9VMtZWKy+X
 TtLq4Zh0U1aGQpjnKv1A+V5R1vSbqvDNEkWPdrrPcn/LxxV7IQQJaHQz3BC9nZOVfZ8M
 pmgXTd7F5xcOTng/RWMKhEdYIcu9GMc0wxPWFNNigt2YN06/X5cBzQQGa7U8U7Hr9ZVG
 Ql6w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=PENezgU380iRA2H69D6nSC89mFGYY6l5aFZXUMJH7X4=;
 b=qh9zP8jVKJewsDVqMK6fWVQvNZuT9fgXYQlsZOaWiJZgBYFKKQYhXAkMtxYEbi/sR3
 jNMg+Ai2njKXm/ely8ymfCvul2QCGo6Cb1jWf0y/8Mbu/YWPxdv/amxp9zqK6HmspSIM
 LmbKEV9ePVTvBJNHSAymqpUwE/+eENqr3euqstbZS3m/h4RCeaZ8zgftlC7VLNKGe5N7
 lkkCoJq4kogEkSWxGlO+7sH/kILdyj2egCfOw1lsyDgRFxEtpNU1lRpkOCNbfXrkeX/j
 4/qJ4ds0mSnjvqMdlM7s+bFLByu9zKJ8kq8XCGNcr2d6dHzuTlo42VFxfjtuSprQenjW
 nalQ==
X-Gm-Message-State: APjAAAUtjdSlRZBAYYTv+dUFJ3A0Ue4A4Gj+fe3RxbO98EL2RMhQx0XY
 gO3yAGSEgC3BxG4DDmjf9cYUEqIx
X-Google-Smtp-Source: APXvYqyBq43DVM0R1Ll3fkBkCxar3efQf+8L/JsBwFiArsV3EXVskI67q6HU/cb80u12omcpwlRJ0g==
X-Received: by 2002:adf:fa42:: with SMTP id y2mr35095587wrr.170.1563524860066; 
 Fri, 19 Jul 2019 01:27:40 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id b19sm21989846wmj.13.2019.07.19.01.27.36
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 19 Jul 2019 01:27:37 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
 <83tvbiv7dp.fsf@HIDDEN>
Date: Fri, 19 Jul 2019 10:27:35 +0200
In-Reply-To: <83tvbiv7dp.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 19 Jul
 2019 09:57:38 +0300")
Message-ID: <m2blxqqvig.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org, Robert Alessi <alessi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 19 Jul 2019 09:57:38 +0300, Eli Zaretskii <eliz@HIDDEN> said:

    Eli> We could ask on the Unicode mailing list.  There are Unicode exper=
ts
    Eli> there, and they are quite friendly.  If someone can come up with a
    Eli> comprehensive description of our situation and the issues we are
    Eli> trying to resolve, please write to unicode@HIDDEN, and ask the
    Eli> questions.

I think reading <https://www.unicode.org/faq/greek.html> helps
some. My understanding of the situation is that the basic Greek block
should be used, rather than the extended Greek block, for the LETTER +
OXIA/TONOS combinations (and the extended block versions all decompose
to characters in the basic block + a combining mark).

To me that implies that the Greek input methods should use GREEK TONOS
(\u384) consistently rather then GREEK OXIA (\u1ffd), but I couldn't
see any explicit mention of that, and at least in my font they're
visually distinct.

There=CA=BCs also <http://www.opoudjis.net/unicode/unicode.html>, but
that=CA=BCs much longer, so I only read the bit about oxia vs tonos, and it
also has nothing to say on which to use when inserting only the
accenting character itself.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 19 Jul 2019 06:57:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 02:57:51 2019
Received: from localhost ([127.0.0.1]:55023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoMpz-0000oV-DY
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 02:57:51 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41189)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hoMpx-0000oG-Tg
 for 36717 <at> debbugs.gnu.org; Fri, 19 Jul 2019 02:57:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40963)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hoMps-0007t7-34; Fri, 19 Jul 2019 02:57:44 -0400
Received: from [176.228.60.248] (port=4074 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hoMpq-00030i-SW; Fri, 19 Jul 2019 02:57:43 -0400
Date: Fri, 19 Jul 2019 09:57:38 +0300
Message-Id: <83tvbiv7dp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
In-reply-to: <20190718203203.GG4886@HIDDEN> (message from Robert
 Alessi on Thu, 18 Jul 2019 22:32:03 +0200)
Subject: Re: bug#36717: 25.3;
 greek.el: deprecated vowel+oxia combinations should be replaced with
 vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN> <20190718203203.GG4886@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36717
Cc: rpluim@HIDDEN, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 18 Jul 2019 22:32:03 +0200
> From: Robert Alessi <alessi@HIDDEN>
> Cc: 36717 <at> debbugs.gnu.org
> 
> On Thu, Jul 18, 2019 at 08:57:16PM +0200, Robert Pluim wrote:
> > Indeed, some of the methods already had a way to insert tonos.
> > 
> >     Robert> But I got confused at some point in my previous
> >     Robert> email!  What I meant is: keep Greek Tonos (\u0384), and replace Greek
> >     Robert> Oxia with Greek Tonos.
> > 
> > But those methods that have tonos are for 'modern' greek, whereas the
> > ones that have oxia are for classical greek, as Basil pointed out, so
> > perhaps thereʼs no need to change anything (unless thereʼs an edict
> > from the Unicode people that tonos must be used even when writing
> > classical greek).
> 
> Good point.  I will try to look for such an edict!

We could ask on the Unicode mailing list.  There are Unicode experts
there, and they are quite friendly.  If someone can come up with a
comprehensive description of our situation and the issues we are
trying to resolve, please write to unicode@HIDDEN, and ask the
questions.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 23:08:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 19:08:19 2019
Received: from localhost ([127.0.0.1]:54839 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoFVb-0003Rw-HL
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 19:08:19 -0400
Received: from mx1.riseup.net ([198.252.153.129]:60418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoFVW-0003Ra-Cl
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 19:08:14 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 3C5CB1A0F20;
 Thu, 18 Jul 2019 13:29:37 -0700 (PDT)
X-Riseup-User-ID: 8A649CB2CE8E3AD03F9A1C4E90F55A06ECD5484737BE5C88C8F5960D2423DEAF
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id ED061222344;
 Thu, 18 Jul 2019 13:29:36 -0700 (PDT)
Date: Thu, 18 Jul 2019 22:29:35 +0200
From: Robert Alessi <alessi@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190718202935.GF4886@HIDDEN>
References: <87zhlbaf5d.fsf@HIDDEN>
 <87lfwv2oot.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87lfwv2oot.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Thank you for these valuable items of information, Basil.  I will do
some research and report back no later than tomorrow.

Robert

On Thu, Jul 18, 2019 at 07:16:34PM +0100, Basil L. Contovounesios wrote:
> Robert Alessi <alessi@HIDDEN> writes:
> 
> > As of 2016, the latest versions of Unicode (as of 2016) have now
> > formally deprecated and removed the vowel+oxia combinations from the
> > Greek extended range, leaving only the vowel+tonos from the basic Greek
> > and Coptic range.
> 
> Where is the deprecation documented?  What do you mean by "removed"?
> AFAIK all of the "deprecated" codepoints are still part of the latest
> Unicode standard[1].
> 
> > As a result of this deprecation, the sixteen characters found in
> > greek.el (Quail package for inputting Greek) that use extended
> > codepoints should be replaced with those that use basic codepoints.
> 
> I'm not opposed to such a simple search+replace[2], but I'm no expert on
> these matters (so please bear with me), and I wonder what effects, if
> any, such a change may have.
> 
> AFAICT all occurrences of the "deprecated" codepoints in greek.el appear
> in classical Greek input methods, not the modern Greek input methods
> greek or greek-postfix.  Would users of the classical input methods ever
> want to explicitly use the oxia, not tonos, variants?
> 
> What confuses me is that, AIUI, the "deprecated" codepoints should
> decompose to their Greek and Coptic counterparts[3].  How does Quail
> interplay with Unicode normalisation?
> 
> [1]: https://www.unicode.org/charts/PDF/U1F00.pdf
> [2]: Indeed, I've seen people trip over this discrepancy, but I forgot
>      to follow up on this: https://emacs.stackexchange.com/a/43927/15748
> [3]: http://www.unicode.org/charts/normalization/
> 
> > All affected characters can be found here: -->
> > https://wiki.digitalclassicist.org/Greek_Unicode_duplicated_vowels#Affected_characters
> >
> > Although most Unicode Greek fonts display both versions identically, in
> > some cases, not using basic codepoints can break advanced features such
> > as alternate forms in Greek script.  To take an example, if some feature
> > is supposed to distinguish between regular and `curly' *beta* (β/ϐ) so
> > as to print the `curly' shape if the *beta* is found in medial position,
> > the substitution will succeed in βάρβαρος, but fail in λάβρος just
> > because of the extended codepoint of ά that is used by `greek.el`.
> 
> How does the use of oxia instead of tonos on the alpha affect the
> substitution of the beta?
> 
> Thanks,
> 
> -- 
> Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 23:08:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 19:08:19 2019
Received: from localhost ([127.0.0.1]:54837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoFVY-0003Rq-Vt
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 19:08:19 -0400
Received: from mx1.riseup.net ([198.252.153.129]:60416)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoFVW-0003RZ-EE
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 19:08:14 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 1FFCF1A1995;
 Thu, 18 Jul 2019 13:32:05 -0700 (PDT)
X-Riseup-User-ID: 6C78596DC1533FD14D6F513F124921195ED0D02234DDEC54F8A9C69136ABE5F6
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id D1DE91207A5;
 Thu, 18 Jul 2019 13:32:04 -0700 (PDT)
Date: Thu, 18 Jul 2019 22:32:03 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190718203203.GG4886@HIDDEN>
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <m24l3jrx0z.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Jul 18, 2019 at 08:57:16PM +0200, Robert Pluim wrote:
> Indeed, some of the methods already had a way to insert tonos.
> 
>     Robert> But I got confused at some point in my previous
>     Robert> email!  What I meant is: keep Greek Tonos (\u0384), and replace Greek
>     Robert> Oxia with Greek Tonos.
> 
> But those methods that have tonos are for 'modern' greek, whereas the
> ones that have oxia are for classical greek, as Basil pointed out, so
> perhaps thereʼs no need to change anything (unless thereʼs an edict
> from the Unicode people that tonos must be used even when writing
> classical greek).

Good point.  I will try to look for such an edict!

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 23:03:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 19:03:16 2019
Received: from localhost ([127.0.0.1]:54832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoFQi-0003HM-7H
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 19:03:16 -0400
Received: from mx1.riseup.net ([198.252.153.129]:59032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoFQg-0003HE-SM
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 19:03:15 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id DA5761A1EE6;
 Thu, 18 Jul 2019 13:27:03 -0700 (PDT)
X-Riseup-User-ID: 54B9D562DEB72D19E961DAC82F2270F5243B5679FEC379FE370A29A449449EBA
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 7F5781202BF;
 Thu, 18 Jul 2019 13:27:03 -0700 (PDT)
Date: Thu, 18 Jul 2019 22:27:01 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190718202701.GE4886@HIDDEN>
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <87k1cf2ooo.fsf@HIDDEN>
 <m28ssvrxgy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <m28ssvrxgy.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Jul 18, 2019 at 08:47:41PM +0200, Robert Pluim wrote:
> >>>>> On Thu, 18 Jul 2019 19:16:39 +0100, "Basil L. Contovounesios" <contovob@HIDDEN> said:
>     >> What about GREEK OXIA vs GREEK TONOS as standalone characters? Should
>     >> we replace the former with the latter?
> 
>     Basil> I'm not sure; see my other message.  AFAIK vowels composed with oxia
>     Basil> decompose to their tonos counterparts, but not so oxia itself.  I'm
>     Basil> still confused as to what Quail should do with these equivalences.
>     Basil> Should it always use the simplest possible composition?
> 
> Iʼm not sure either. Neither are combining characters, so I doubt it
> matters, but consistency probably calls for tonos rather than oxia
> (although we can also arrange for both to be available).

Surely, arranging for both to be available would get out of trouble
those who, like me, try to get substitution features to work as
expected.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 22:58:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 18:58:16 2019
Received: from localhost ([127.0.0.1]:54826 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoFLs-000386-HB
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 18:58:16 -0400
Received: from mx1.riseup.net ([198.252.153.129]:57736)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoFLq-00037y-GV
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 18:58:15 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id BEBB91A0777;
 Thu, 18 Jul 2019 13:19:50 -0700 (PDT)
X-Riseup-User-ID: F275E63550399E1BD530A2A45688C0CA29B60D2A3BD0C802BC18D561D50C2FAB
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 555B61207A5;
 Thu, 18 Jul 2019 13:19:50 -0700 (PDT)
Date: Thu, 18 Jul 2019 22:19:48 +0200
From: Robert Alessi <alessi@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190718201948.GC4886@HIDDEN>
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <87blxr2okn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87blxr2okn.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: Robert Pluim <rpluim@HIDDEN>, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Jul 18, 2019 at 07:19:04PM +0100, Basil L. Contovounesios wrote:
> Robert Alessi <alessi@HIDDEN> writes:
> > Very well spotted.  Actually, the latter is the right one—that is:
> > Greek Tonos, U+0384—while the former, Greek Oxia (U+1FFD) belongs to
> > the group that was deprecated.  So it is the other way round: keep the
> > former, and make the latter go.
> 
> AFAICT the link you provided does not say anything about oxia the
> standalone character.

You are perfectly right.  If it were up to me I would recommend to
keep all those characters that were considered as duplicates.  I quote
here from this page[^1]:

     A false distinction was introduced to Unicode between the oxia
     (acute) and tonos, resulting in wrongly duplicated code
     points. See Greek Unicode duplicated vowels for a full
     discussion.

So strictly speaking, oxia alone is not yet removed from Unicode.  But
as alpha, epsilon, eta, iota, omicron upsilon omega with oxia were
allegedly deprecated *and removed* from the Greek extended range, I
would say that oxia alone does not have much to live.

[^1]: https://wiki.digitalclassicist.org/Unicode_for_ancient_languages
> 
> I'm still interested in seeing some documentation on this deprecation
> that is not from digitalclassicist.org.

That, according to digitalclassicist.org, of course.  I will try to
see if I find anything of relevance on unicode.org and report back.

Robert

> Thanks,
> 
> -- 
> Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 22:53:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 18:53:17 2019
Received: from localhost ([127.0.0.1]:54816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoFH3-0002zB-Ew
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 18:53:17 -0400
Received: from mx1.riseup.net ([198.252.153.129]:56548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoFH0-0002z1-Tj
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 18:53:15 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 95E181A28BB;
 Thu, 18 Jul 2019 13:14:46 -0700 (PDT)
X-Riseup-User-ID: 537C76813FD9188D3EDAFD5EAEAE2FA20CBDDF60B44C67E7788D268284BD666B
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 5392F1207CA;
 Thu, 18 Jul 2019 13:14:46 -0700 (PDT)
Date: Thu, 18 Jul 2019 22:14:44 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190718201444.GB4886@HIDDEN>
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
 <m24l3jrx0z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <m24l3jrx0z.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Jul 18, 2019 at 08:57:16PM +0200, Robert Pluim wrote:
> 
> But those methods that have tonos are for 'modern' greek, whereas the
> ones that have oxia are for classical greek, as Basil pointed out, so
> perhaps thereʼs no need to change anything (unless thereʼs an edict
> from the Unicode people that tonos must be used even when writing
> classical greek).

I was about to write that, as a classicist, if it were up to me I
wouldn't change anything myself.  So I would agree with Basil's
argument.  However, to take this one example, if one tries to use
Alexey Kryukov's beautiful Old Standard font with emacs and XeLaTeX or
LuaLaTeX, and activates the `ss06` feature which is supposed to
automatically make the distinction between initial and medial beta, he
will see that ὁ βάρβαρος typed with emacs succeeds while λάβρος fails,
just because of ά with oxia instead of ά with tonos.

Yesterday, I tried to get to the bottom of this: I cloned the source
files of Old Standard (https://github.com/akryukov/oldstand) and
edited the source file of the regular shape with FontForge.  I
included all of the seven letters with oxia that were missing in the
substitution rules and generated a new .otf file, but to no avail.
Actually, I discovered that even if one selects those letters,
FontForge automatically undoes this selection to select the
corresponding letters with tonos!  Here is the condition: as far as I
can tell, there is no way to get this kind of feature to work using
the letters with oxia. I myself consider this preposterous.

Then I came across digitalclassicist.org.  I modified my own greek.el
and got a Greek text perfectly typeset with all the required
substitutions.

In my opinion, this is a serious problem.  I will try to proceed
further on this line of inquiry.  An interesting question is: why
(unless I am mistaken) did FontForge deprecrate oxia in favor of
tonos?  I am asking just because I am experiencing this regression.
That said, I will take some time to go through
https://www.unicode.org/versions/ and report back if I find anything
of relevance.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 22:39:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 18:39:19 2019
Received: from localhost ([127.0.0.1]:54795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoF3X-0002cH-Kr
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 18:39:19 -0400
Received: from mail-wr1-f67.google.com ([209.85.221.67]:36730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hoF3V-0002c3-BQ
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 18:39:17 -0400
Received: by mail-wr1-f67.google.com with SMTP id n4so30363720wrs.3
 for <36717 <at> debbugs.gnu.org>; Thu, 18 Jul 2019 15:39:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=5jlYxeCDOa23fkcpw94Rd6322SsBSX9Wiyh0/gUhSyE=;
 b=t476Zjdstlp1UFAMaTvZ6mgnWF0wtJG52E2sqXcwP6gEwvLCpNO3AgxWOQm67YwjMk
 p5DMrzz4s+P3Beo0nT7t6s99ZHrmfsoOuMwl7rXQK6jQd93hGOHWfkFzmjb+P3g6u/iw
 rw7Af8zRgv/2/hZrs+k1P9477pn8s+f8mfoJklYicWUjplGC4DDtaaUAV+dI5IEIh372
 apVAqtI5ubKbDQbCsIUBKAosxiE5N2XEdGMbVK3Bi/4hbCpqzTaSQ5z0FWAiLpyisXmb
 BOEBTx54SFqkZW8+Kz7i7JaJojBsedKMnR49t9iQqkmaKMe3t9H5H9TyNbigYEUkV76Y
 sSUw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=5jlYxeCDOa23fkcpw94Rd6322SsBSX9Wiyh0/gUhSyE=;
 b=YKLOZG5F4a6cX9+aDnQKfwspc6Bsl7tO8n0zQBHuBJjj8PQan1xReB+P5q3LL/4OKG
 pVz++nMQj1djIShV/u19bNGsjmcJn8OdNYAlTPQkp6hR0G5GJDlXBfnBJd8pSZqIm49R
 dDGqXStnGIBiDxkwwyW7a0on38VyCxo1SwrKFlp0KHs4IQGpkxbJekBy9S926MTtmvGW
 CuCH35LSwLIcl1JbVlinJEYY7hnm2JSbteNTazUqVQbojOMvcCntFzaBmJQo+2XvYnFb
 d0VmyMbGC4Guy5lFCOTfHn37sc/GRZ1a9KupID1PLYUuJopkYXB7ADlxniqyrb5hNFQl
 answ==
X-Gm-Message-State: APjAAAWFt+ULiHCFt0vp3LwC5DNkKlJZMqas3inj/QoP8R0NwHg41s3f
 uAcJOia/V27669fGquFHzHc6fA93jsk=
X-Google-Smtp-Source: APXvYqwuO279RCKyUuInmZt9T+jQNXKUkQPWkO7FhS6lJMdR0GFLPFj8dAI528A1VnhR5XXsw4nNSA==
X-Received: by 2002:adf:ea82:: with SMTP id s2mr45912135wrm.91.1563483140990; 
 Thu, 18 Jul 2019 13:52:20 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:92bd:1bfd:38fc:fae2])
 by smtp.gmail.com with ESMTPSA id n14sm47765013wra.75.2019.07.18.13.52.20
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 18 Jul 2019 13:52:20 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <87blxr2okn.fsf@HIDDEN> <20190718201948.GC4886@HIDDEN>
Date: Thu, 18 Jul 2019 21:52:19 +0100
In-Reply-To: <20190718201948.GC4886@HIDDEN> (Robert Alessi's message
 of "Thu, 18 Jul 2019 22:19:48 +0200")
Message-ID: <87ftn312ws.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: Robert Pluim <rpluim@HIDDEN>, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Alessi <alessi@HIDDEN> writes:

> On Thu, Jul 18, 2019 at 07:19:04PM +0100, Basil L. Contovounesios wrote:
>> Robert Alessi <alessi@HIDDEN> writes:
>> > Very well spotted.  Actually, the latter is the right one=E2=80=94that=
 is:
>> > Greek Tonos, U+0384=E2=80=94while the former, Greek Oxia (U+1FFD) belo=
ngs to
>> > the group that was deprecated.  So it is the other way round: keep the
>> > former, and make the latter go.
>>=20
>> AFAICT the link you provided does not say anything about oxia the
>> standalone character.
>
> You are perfectly right.  If it were up to me I would recommend to
> keep all those characters that were considered as duplicates.  I quote
> here from this page[^1]:
>
>      A false distinction was introduced to Unicode between the oxia
>      (acute) and tonos, resulting in wrongly duplicated code
>      points. See Greek Unicode duplicated vowels for a full
>      discussion.
>
> So strictly speaking, oxia alone is not yet removed from Unicode.

[Are characters ever removed from Unicode?]

> But as alpha, epsilon, eta, iota, omicron upsilon omega with oxia were
> allegedly deprecated *and removed* from the Greek extended range, I
> would say that oxia alone does not have much to live.

Without being a Unicode expert, I doubt these vowel compositions or the
oxia itself are going anywhere.  The only question is whether it is safe
and/or encouraged to replace oxia with tonos in all contexts, regardless
of whether classical or modern, and how Quail might do this.  At least,
that's what I'm wondering.

> [^1]: https://wiki.digitalclassicist.org/Unicode_for_ancient_languages
>>=20
>> I'm still interested in seeing some documentation on this deprecation
>> that is not from digitalclassicist.org.
>
> That, according to digitalclassicist.org, of course.  I will try to
> see if I find anything of relevance on unicode.org and report back.

Thanks for looking into this!

--=20
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 22:18:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 18:18:17 2019
Received: from localhost ([127.0.0.1]:54750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoEjB-00023n-8o
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 18:18:17 -0400
Received: from mx1.riseup.net ([198.252.153.129]:48566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoEj8-00023f-RK
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 18:18:15 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 7DB7A1A11FF;
 Thu, 18 Jul 2019 13:23:18 -0700 (PDT)
X-Riseup-User-ID: EDF4501EE9584AB4F848A1540F345DEC29AF935A06FC8CEDCAD1DF93F3B0DA57
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 34A1012052C;
 Thu, 18 Jul 2019 13:23:18 -0700 (PDT)
Date: Thu, 18 Jul 2019 22:23:16 +0200
From: Robert Alessi <alessi@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190718202316.GD4886@HIDDEN>
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <87k1cf2ooo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87k1cf2ooo.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Jul 18, 2019 at 07:16:39PM +0100, Basil L. Contovounesios wrote:
> >
> > I took a look at greek.el, that shouldn't be difficult.
> 
> Indeed, it's just a simple search+replace:
> 

Yes, but let us hold on until we have something solid to lean on.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 18:57:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 14:57:28 2019
Received: from localhost ([127.0.0.1]:54703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoBaq-0005GS-01
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 14:57:28 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:37205)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hoBao-0005GD-KU
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 14:57:27 -0400
Received: by mail-wm1-f47.google.com with SMTP id f17so26696160wme.2
 for <36717 <at> debbugs.gnu.org>; Thu, 18 Jul 2019 11:57:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=Dv2b3Ckxm66R3vTkqokQ9f+Ujg4vGqIA9G1+XVmx4lU=;
 b=Sg0ZSgmc0QDYFqAaG80/qeozlkyKnQBKTwnDE0kg0GY/XNSGpLEGn7WJgrPHHey5KK
 UVnT6ShJsDjOTuH25/XtcqmA6vq2WL+uEzvnVQJRrvwWeMqd0+4lMEsZ9kHHl+jX+qtV
 H/tG/fosmy2LTMg4vjxusWPaAeLelscRatfGsuO8mNztb6xRIAr2pr0ukcwUv/1vXShR
 rbXWE5b8P2YgTkaWCnG548TzWBiiXb0oBn1OQ0pRSep2Fa5ONCcmuI8UyPn94qG+et1l
 72v4UKlhQ9KkKmmQfGj4+ivkvBRIqawcvBRijYVwaAXqg3xSRbuGi0nLRAhIpZYn5r6R
 YDiw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=Dv2b3Ckxm66R3vTkqokQ9f+Ujg4vGqIA9G1+XVmx4lU=;
 b=i9bvW5c6YPcgs1THBzH79mrfkIkCuLhR/nRsaqCnzv6lkVsfCy8eRN2BkEiXoVbdiy
 2WUVnslCzad7Nb1PQxivKHu7TXGOXOOxqzmAaThA8duYtWdWe9dRh2SvODUUlcKxvfUy
 z8s7A9qS+1G5n3zNzlIIDL+QQlzrMHXXOmOmAmcUgjg9xLHnJsbNSInaDqfJSWrbQF07
 37eyuUwy4NtEsRAsMAFAwgXbdhN1Dmh/I08MAVavdkk+cCssDks0KHsHvNDv5ih57i6v
 P8VOj24nkMtHgZ0Yp3zh+hpC+53IjVfjlulRNaemaXhBX1fsbKHRI2kCeYO5EqrUzOeY
 UJSg==
X-Gm-Message-State: APjAAAVz+wVSo2QMiebNTRffUDiG0fzvsKJz8NMVqCS/BgjZ4RnZy+dA
 o/Cu+WWaNwSm9QcYtiOddvDOBTML
X-Google-Smtp-Source: APXvYqwy5BBYE3oeFEo31VY9PmMb4pJK3349AkwvpImrpTqzAShBRJSriD85ok783wcenC/MmYyKsQ==
X-Received: by 2002:a1c:a7ca:: with SMTP id
 q193mr46552394wme.150.1563476240224; 
 Thu, 18 Jul 2019 11:57:20 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:654d:cd3a:755a:ad29])
 by smtp.gmail.com with ESMTPSA id i13sm26413732wrr.73.2019.07.18.11.57.18
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 18 Jul 2019 11:57:19 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN> <20190718184700.GA4886@HIDDEN>
Date: Thu, 18 Jul 2019 20:57:16 +0200
In-Reply-To: <20190718184700.GA4886@HIDDEN> (Robert Alessi's message
 of "Thu, 18 Jul 2019 20:47:00 +0200")
Message-ID: <m24l3jrx0z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 18 Jul 2019 20:47:00 +0200, Robert Alessi <alessi@robertaless=
i.net> said:

    Robert> On Thu, Jul 18, 2019 at 08:06:13PM +0200, Robert Pluim wrote:
    >> >>>>> On Thu, 18 Jul 2019 19:32:52 +0200, Robert Alessi <alessi@robe=
rtalessi.net> said:
    Robert> Very well spotted.  Actually, the latter is the right one=E2=80=
=94that is:
    >> ^^^^^^
    Robert> Greek Tonos, U+0384=E2=80=94while the former, Greek Oxia (U+1FF=
D) belongs to
    Robert> the group that was deprecated.  So it is the other way round: k=
eep the
    Robert> former, and make the latter go.
    >> ^^^^^^
    >>=20
    >> Now I=CA=BCm confused :-)
    >>=20
    >> Currently greek.el input methods insert \u1ffd, rather than
    >> \u0384. Which one do you want?

    Robert> That is not entirely true, I daresay, for I did find a couple of
    Robert> \u0384 in this file.

Indeed, some of the methods already had a way to insert tonos.

    Robert> But I got confused at some point in my previous
    Robert> email!  What I meant is: keep Greek Tonos (\u0384), and replace=
 Greek
    Robert> Oxia with Greek Tonos.

But those methods that have tonos are for 'modern' greek, whereas the
ones that have oxia are for classical greek, as Basil pointed out, so
perhaps there=CA=BCs no need to change anything (unless there=CA=BCs an edi=
ct
from the Unicode people that tonos must be used even when writing
classical greek).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 18:47:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 14:47:52 2019
Received: from localhost ([127.0.0.1]:54694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoBRX-00051h-IF
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 14:47:51 -0400
Received: from mail-wm1-f48.google.com ([209.85.128.48]:50369)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hoBRV-00051Q-3r
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 14:47:49 -0400
Received: by mail-wm1-f48.google.com with SMTP id v15so26597259wml.0
 for <36717 <at> debbugs.gnu.org>; Thu, 18 Jul 2019 11:47:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=lP+Avh0J1Cuo/dh/OKWttCuKnX0HPDTJKNuKeBQpiF0=;
 b=cVNW5RyuC+DxhxI+AETvgBLDKpcLHsFu6Zee/m/KQ4+e4G5425gNPj1xgcBn08vskf
 ffB9rJPoLSrG50xjxIr5KrtM7Zqvhe/TQ/Mn3l4aJzlbcKhrNpPvZJf8pxDARzT+OtwR
 eVzaEowAGb1g/Kd3KjaE1qEboczgCk/UA+Hjoo+Ey6FMz6mpGUDKkLQYgp8SheR0BmFW
 QS6AZGZMzjsMC69xvADefVrCMyKgRk5c1AerzkuKaZtsD+PlQh/VgCCnw7KnXcuFfi8h
 On0hRxxzwjU27ATy++Qj0h3cm1C5fwDCP1+0Qvct4tulwsgpajiI+U8q3mY7SxcD4NY/
 IHSQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=lP+Avh0J1Cuo/dh/OKWttCuKnX0HPDTJKNuKeBQpiF0=;
 b=U+BvVGLebt8gOT9r50nEplpW2lT+9VFjMr2Z+r12wgR989w51jKna96vHab+uxzUPR
 SPWOJ/i1N1xAvWZMPcXpcgo5HZGWVknj8G3nNCk9ZBx9NBcwlSqFcgnj1I56RQT1UXmi
 FlSr8KV/m4fd/IKpyjngxggqQlbrUVZTmHx11B4XmK1NuQcWp6zBsH26S2NhF4iExdlx
 fo559MKsIxysIinMaYPjuZga4CSKTJppuusAT4Y9fLKHEws2+I2qqNUE6cW7mNCxZNVV
 MVpDSyDPY3QrJLAKWRVekuL6n4q86Gxti6sYo5doGQUgSEuxKTiOV0Jn5MrT/B29xl45
 fbVQ==
X-Gm-Message-State: APjAAAUM6+C5sypmvSPUNXWOd5fvngkujayrQK4D809OQTPJ3UmTvFzE
 FcZxxWceNsHDgqlqIyBLRoUC6kfp
X-Google-Smtp-Source: APXvYqz02c+yXBnadm3gTCtsVZT+kbo4vbnt8bYXFMMbbagosOTfvqGnJ90n4bLR/MirKrXkf5XGoQ==
X-Received: by 2002:a1c:6c01:: with SMTP id h1mr43287884wmc.30.1563475662616; 
 Thu, 18 Jul 2019 11:47:42 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:654d:cd3a:755a:ad29])
 by smtp.gmail.com with ESMTPSA id x20sm55274037wrg.10.2019.07.18.11.47.41
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 18 Jul 2019 11:47:41 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <87k1cf2ooo.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Thu, 18 Jul 2019 20:47:41 +0200
In-Reply-To: <87k1cf2ooo.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Thu, 18 Jul 2019 19:16:39 +0100")
Message-ID: <m28ssvrxgy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org, Robert Alessi <alessi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 18 Jul 2019 19:16:39 +0100, "Basil L. Contovounesios" <contov=
ob@HIDDEN> said:
    >> What about GREEK OXIA vs GREEK TONOS as standalone characters? Should
    >> we replace the former with the latter?

    Basil> I'm not sure; see my other message.  AFAIK vowels composed with =
oxia
    Basil> decompose to their tonos counterparts, but not so oxia itself.  =
I'm
    Basil> still confused as to what Quail should do with these equivalence=
s.
    Basil> Should it always use the simplest possible composition?

I=CA=BCm not sure either. Neither are combining characters, so I doubt it
matters, but consistency probably calls for tonos rather than oxia
(although we can also arrange for both to be available).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 18:47:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 14:47:07 2019
Received: from localhost ([127.0.0.1]:54685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoBQp-00050K-31
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 14:47:07 -0400
Received: from mx1.riseup.net ([198.252.153.129]:37838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoBQn-00050B-1f
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 14:47:05 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 51B751B93A8;
 Thu, 18 Jul 2019 11:47:04 -0700 (PDT)
X-Riseup-User-ID: 6588FF86C98149666FE194BEA071584B72ABB67A3720044F08035B54178F503F
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 9C2AE1203CB;
 Thu, 18 Jul 2019 11:47:03 -0700 (PDT)
Date: Thu, 18 Jul 2019 20:47:00 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190718184700.GA4886@HIDDEN>
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
 <m2h87jrze2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <m2h87jrze2.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Jul 18, 2019 at 08:06:13PM +0200, Robert Pluim wrote:
> >>>>> On Thu, 18 Jul 2019 19:32:52 +0200, Robert Alessi <alessi@HIDDEN> said:
>     Robert> Very well spotted.  Actually, the latter is the right one—that is:
>                                               ^^^^^^
>     Robert> Greek Tonos, U+0384—while the former, Greek Oxia (U+1FFD) belongs to
>     Robert> the group that was deprecated.  So it is the other way round: keep the
>     Robert> former, and make the latter go.
>             ^^^^^^
> 
> Now Iʼm confused :-)
> 
> Currently greek.el input methods insert \u1ffd, rather than
> \u0384. Which one do you want?

That is not entirely true, I daresay, for I did find a couple of
\u0384 in this file.  But I got confused at some point in my previous
email!  What I meant is: keep Greek Tonos (\u0384), and replace Greek
Oxia with Greek Tonos.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 18:19:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 14:19:13 2019
Received: from localhost ([127.0.0.1]:54666 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoAzp-0004Fh-6X
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 14:19:13 -0400
Received: from mail-wm1-f65.google.com ([209.85.128.65]:35171)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hoAzn-0004FU-Jl
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 14:19:11 -0400
Received: by mail-wm1-f65.google.com with SMTP id l2so26632226wmg.0
 for <36717 <at> debbugs.gnu.org>; Thu, 18 Jul 2019 11:19:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=oh4oUg/fda7W0BG9ULNbLjWTDJk627rIAdJHOgK0NkE=;
 b=uYcaku6r1DDgWx2FzH38yOUXl2mYPZeQzW+X7uoUD2VXCT+NtkyoxR+3Mc2KlrIHkm
 rKK8IECvYswt4EerbDiTzRrQCNBNmGOmwyQw27TPHe5wiTq/JGhXF1RAC0y9pTgbtdF3
 Z++bvQPXHTi/zARp1AxAuKE4y0f9575nZ0G2GwaqxjUa404u8l77PCLR3zuCF8ZBqSXf
 afvcC8WxLDCU+e6/Wg1PJXVcm89eUdVScgEmrsX5MRzHUu1f9Gt7ndiMZTELQU0RYwlU
 D4WJarMI/CCdYD1BX9sCNojusbyes6LHht42Gpf7nGTC4qOMUCxV4Fboy2goWEGPC6lJ
 1dmA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=oh4oUg/fda7W0BG9ULNbLjWTDJk627rIAdJHOgK0NkE=;
 b=oJxE60Vilb34f5jTwWy1/TOcxqAXxjlsf3GRw2pbNoimFN0LZggn72kbhA4TbW+rCe
 sXEg/1tyBDT8/pwgRoXMeSim0gmP/mzfQ6s++D5EFTdwZvN5XdFA8Yk8OdyBw/1EW15Q
 uIdbFW49zYRAUlP5mi+3WEp7dYqqScpIM5oN6mjSZlMGc1VdeHwEzM8haMfmyVXhfesl
 tH+2JuegNMKNv4GOz0Eac/qUmdSwlSr7d2JVfX/wly6661rvlXQlaFB7cWJtqhQ5xWu4
 zuufM2yoj6aFeGxFF8ZI+YBEGhfxVXBWxIO5Jtk7pw2Wo9VBZ4cTIVD6wQpzRpqIGa1f
 YDyQ==
X-Gm-Message-State: APjAAAVgwd0xVQi2Tr/T9/e7o+mt0at7RyltduH/YR1+MKfMgPLHCXEX
 0zIF5aN56RE0O2mk1Xnq/l+pgA==
X-Google-Smtp-Source: APXvYqzRzR0dPa7qZ6wgmvRPTkTbOEv5Db3/Ovvx4VayX4svZj6mf60izRCT390RVoLeGTr7Homkog==
X-Received: by 2002:a7b:c4d2:: with SMTP id g18mr43791394wmk.79.1563473946043; 
 Thu, 18 Jul 2019 11:19:06 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:1f68:7ff5:120d:64e])
 by smtp.gmail.com with ESMTPSA id s2sm22790865wmj.33.2019.07.18.11.19.05
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 18 Jul 2019 11:19:05 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
Date: Thu, 18 Jul 2019 19:19:04 +0100
In-Reply-To: <20190718173252.GA3093@HIDDEN> (Robert Alessi's message
 of "Thu, 18 Jul 2019 19:32:52 +0200")
Message-ID: <87blxr2okn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: Robert Pluim <rpluim@HIDDEN>, 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Alessi <alessi@HIDDEN> writes:

> On Thu, Jul 18, 2019 at 04:54:45PM +0200, Robert Pluim wrote:
>> >>>>> On Thu, 18 Jul 2019 11:03:10 +0200, Robert Alessi <alessi@robertal=
essi.net> said:
>>=20
>>     Robert> As of 2016, the latest versions of Unicode (as of 2016) have=
 now
>>     Robert> formally deprecated and removed the vowel+oxia combinations =
from the
>>     Robert> Greek extended range, leaving only the vowel+tonos from the =
basic Greek
>>     Robert> and Coptic range.
>>=20
>>     Robert> As a result of this deprecation, the sixteen characters foun=
d in
>>     Robert> greek.el (Quail package for inputting Greek) that use extend=
ed
>>     Robert> codepoints should be replaced with those that use basic code=
points.  All
>>     Robert> affected characters can be found here:
>>     -->=20
>>     Robert> https://wiki.digitalclassicist.org/Greek_Unicode_duplicated_=
vowels#Affected_characters
>>=20
>> I took a look at greek.el, that shouldn't be difficult. What about
>> GREEK OXIA vs GREEK TONOS as standalone characters? Should we replace
>> the former with the latter?
>
> Very well spotted.  Actually, the latter is the right one=E2=80=94that is:
> Greek Tonos, U+0384=E2=80=94while the former, Greek Oxia (U+1FFD) belongs=
 to
> the group that was deprecated.  So it is the other way round: keep the
> former, and make the latter go.

AFAICT the link you provided does not say anything about oxia the
standalone character.

I'm still interested in seeing some documentation on this deprecation
that is not from digitalclassicist.org.

Thanks,

--=20
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 18:16:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 14:16:51 2019
Received: from localhost ([127.0.0.1]:54661 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoAxV-0004B6-Ds
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 14:16:49 -0400
Received: from mail-wm1-f65.google.com ([209.85.128.65]:55947)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hoAxT-0004Ah-Ak
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 14:16:48 -0400
Received: by mail-wm1-f65.google.com with SMTP id a15so26485656wmj.5
 for <36717 <at> debbugs.gnu.org>; Thu, 18 Jul 2019 11:16:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=Vbsmdk9UswfuAq+v2k5kNpNIj6uISPVLTZuo7ZppH4s=;
 b=vztb4ud3QN/FrJwEZ23MGDhBTcYH9BDugL+pt+HDgGN6+bc6Gg7+lkcoJHajcYY291
 PRd87TVuzgq7B5RrIC3WHvccIFsoqddcP5ZYPuYGYrSMxqTiLYbrPN38adr9grqZUqKw
 hvtteZGiBdYTmsoUGy6BSJErfFWWI/aimVO9TbyBSBaK3/0v0+g4sEdFGcjivl0VPGl8
 Vn34uBzs78PZxE7x17ws3AavyXUfdg6azJScBWXr2sdAO4JRyqN7YClrOW0JoXT3JS4D
 7aEKR/mBnO3LTlSYh6C0v2hBU4QOnFlhlU6SsO0Vic37qqDPCU0+fEzdmoW3iusVfPn+
 E/HA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=Vbsmdk9UswfuAq+v2k5kNpNIj6uISPVLTZuo7ZppH4s=;
 b=VMILLrDRuqTqlKf7EvaNfKaxsWGtePsI9LhC09aa3ivT0NMKZ+ZzKSsUzaYF5kQzV+
 6T9yYekZShTSFh6izcKogHfh5yb+j1HiXhfH+T1yq6zzyVay4j2vhIl1bvIRUqDFyz1Q
 CCGrNJVAmLbkB3Mcji03ZanfQQby3c24gBItcJL7guvQavIeGhDuWgIjJalU8yuKXVPJ
 YNIZ5TXOLNvDYjvetY9vDUFUdVaYGSVH7rKn2Fh9cPq2GkiHc7kr+ZfjS2xkRrXhBgAP
 QVtmvetIVA6CeK4le7gFHWRJq0rGkLAwjOfI0lIrs7/EAe6GKuHRV5frGCRfcNcL59zs
 0g1A==
X-Gm-Message-State: APjAAAWzMx/k96eolKfDjz1YNcGspb174IG0szcuGXEV+Xi38X/nisYF
 FY7N32RQCRrWpIao9OwVt3Ra7A==
X-Google-Smtp-Source: APXvYqx1Jd98tVzTsvLETL5smmV74G4eDTbLYx6hctZbGnCwIcjBDS1IUyDb7vaXJqa2b5OoOUf6Xw==
X-Received: by 2002:a1c:b706:: with SMTP id h6mr42322859wmf.119.1563473801631; 
 Thu, 18 Jul 2019 11:16:41 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:1f68:7ff5:120d:64e])
 by smtp.gmail.com with ESMTPSA id s25sm21857345wmc.21.2019.07.18.11.16.40
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 18 Jul 2019 11:16:40 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN>
Date: Thu, 18 Jul 2019 19:16:39 +0100
In-Reply-To: <m2pnm7s896.fsf@HIDDEN> (Robert Pluim's message of "Thu, 18
 Jul 2019 16:54:45 +0200")
Message-ID: <87k1cf2ooo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Robert Pluim <rpluim@HIDDEN> writes:

>>>>>> On Thu, 18 Jul 2019 11:03:10 +0200, Robert Alessi <alessi@HIDDEN> said:
>
>     Robert> As of 2016, the latest versions of Unicode (as of 2016) have now
>     Robert> formally deprecated and removed the vowel+oxia combinations from the
>     Robert> Greek extended range, leaving only the vowel+tonos from the basic Greek
>     Robert> and Coptic range.
>
>     Robert> As a result of this deprecation, the sixteen characters found in
>     Robert> greek.el (Quail package for inputting Greek) that use extended
>     Robert> codepoints should be replaced with those that use basic codepoints.  All
>     Robert> affected characters can be found here:
>     --> 
>     Robert> https://wiki.digitalclassicist.org/Greek_Unicode_duplicated_vowels#Affected_characters
>
> I took a look at greek.el, that shouldn't be difficult.

Indeed, it's just a simple search+replace:


--=-=-=
Content-Type: text/x-diff; charset=utf-8
Content-Disposition: inline;
 filename=0001-Replace-Greek-vowel-oxia-with-vowel-tonos-in-Quail.patch
Content-Transfer-Encoding: quoted-printable

From 1e7e52b25d70f827644e179f2c921adda31306fc Mon Sep 17 00:00:00 2001
From: "Basil L. Contovounesios" <contovob@HIDDEN>
Date: Thu, 18 Jul 2019 15:52:33 +0100
Subject: [PATCH] Replace Greek vowel+oxia with vowel+tonos in Quail

* lisp/leim/quail/greek.el (greek-mizuochi, greek-babel)
(greek-ibycus4):
* lisp/leim/quail/rfc1345.el (rfc1345): Replace vowel+oxia
characters from the Greek Extended block with their equivalent
vowel+tonos characters from the Greek and Coptic block (bug#36717).
---
 lisp/leim/quail/greek.el   | 82 +++++++++++++++++++-------------------
 lisp/leim/quail/rfc1345.el | 30 +++++++-------
 2 files changed, 56 insertions(+), 56 deletions(-)

diff --git a/lisp/leim/quail/greek.el b/lisp/leim/quail/greek.el
index 66a17a29f5..e5d3100390 100644
--- a/lisp/leim/quail/greek.el
+++ b/lisp/leim/quail/greek.el
@@ -264,7 +264,7 @@ "greek-mizuochi"
=20
  ("i`" ?=E1=BC=B1) ("iV" ?=E1=BC=B1)
  ("i'" ?=E1=BC=B0) ("iv" ?=E1=BC=B0)
- ("i/" ?=E1=BD=B7)
+ ("i/" ?=CE=AF)
  ("i`/" ?=E1=BC=B5) ("iV/" ?=E1=BC=B5) ("i/`" ?=E1=BC=B5) ("i/V" ?=E1=BC=
=B5)
  ("i'/" ?=E1=BC=B4) ("iv/" ?=E1=BC=B4) ("i/'" ?=E1=BC=B4) ("i/v" ?=E1=BC=
=B4)
  ("i?" ?=E1=BD=B6)
@@ -276,7 +276,7 @@ "greek-mizuochi"
  ("i'^"  ?=E1=BC=B6) ("i'\\" ?=E1=BC=B6) ("iv^"  ?=E1=BC=B6) ("iv\\" ?=E1=
=BC=B6)
  ("i^'"  ?=E1=BC=B6) ("i\\'" ?=E1=BC=B6) ("i^v"  ?=E1=BC=B6) ("i\\v" ?=E1=
=BC=B6)
  ("i\"" ?=CF=8A)
- ("i/\"" ?=E1=BF=93) ("i\"/" ?=E1=BF=93)
+ ("i/\"" ?=CE=90) ("i\"/" ?=CE=90)
  ("i?\"" ?=E1=BF=92) ("i\"?" ?=E1=BF=92)
=20
  ("^`"  ?=E1=BF=9F) ("^V"  ?=E1=BF=9F) ("\\`" ?=E1=BF=9F) ("\\V" ?=E1=BF=
=9F)
@@ -292,7 +292,7 @@ "greek-mizuochi"
=20
  ("e`" ?=E1=BC=91) ("eV" ?=E1=BC=91)
  ("e'" ?=E1=BC=90) ("ev" ?=E1=BC=90)
- ("e/" ?=E1=BD=B3)
+ ("e/" ?=CE=AD)
  ("e/`" ?=E1=BC=95) ("e/V" ?=E1=BC=95) ("e`/" ?=E1=BC=95) ("eV/" ?=E1=BC=
=95)
  ("e/'" ?=E1=BC=94) ("e/v" ?=E1=BC=94) ("e'/" ?=E1=BC=94) ("ev/" ?=E1=BC=
=94)
  ("e?" ?=E1=BD=B2)
@@ -301,7 +301,7 @@ "greek-mizuochi"
=20
  ("a`" ?=E1=BC=81) ("aV" ?=E1=BC=81)
  ("a'" ?=E1=BC=80) ("av" ?=E1=BC=80)
- ("a/" ?=E1=BD=B1)
+ ("a/" ?=CE=AC)
  ("a/`" ?=E1=BC=85) ("a/V" ?=E1=BC=85) ("a`/" ?=E1=BC=85) ("aV/" ?=E1=BC=
=85)
  ("a/'" ?=E1=BC=84) ("a/v" ?=E1=BC=84) ("a'/" ?=E1=BC=84) ("av/" ?=E1=BC=
=84)
  ("a?" ?=E1=BD=B0)
@@ -332,7 +332,7 @@ "greek-mizuochi"
=20
  ("h`" ?=E1=BC=A1) ("hV" ?=E1=BC=A1)
  ("h'" ?=E1=BC=A0) ("hv" ?=E1=BC=A0)
- ("h/" ?=E1=BD=B5)
+ ("h/" ?=CE=AE)
  ("h/`" ?=E1=BC=A5) ("h/V" ?=E1=BC=A5) ("h`/" ?=E1=BC=A5) ("hV/" ?=E1=BC=
=A5)
  ("h/'" ?=E1=BC=A4) ("h/v" ?=E1=BC=A4) ("h'/" ?=E1=BC=A4) ("hv/" ?=E1=BC=
=A4)
  ("h?" ?=E1=BD=B4)
@@ -362,7 +362,7 @@ "greek-mizuochi"
=20
  ("o`" ?=E1=BD=81) ("oV" ?=E1=BD=81)
  ("o'" ?=E1=BD=80) ("ov" ?=E1=BD=80)
- ("o/" ?=E1=BD=B9)
+ ("o/" ?=CF=8C)
  ("o/`" ?=E1=BD=85) ("o/V" ?=E1=BD=85) ("o`/" ?=E1=BD=85) ("oV/" ?=E1=BD=
=85)
  ("o/'" ?=E1=BD=84) ("o/v" ?=E1=BD=84) ("o'/" ?=E1=BD=84) ("ov/" ?=E1=BD=
=84)
  ("o?" ?=E1=BD=B8)
@@ -371,7 +371,7 @@ "greek-mizuochi"
=20
  ("u`" ?=E1=BD=91) ("uV" ?=E1=BD=91)
  ("u'" ?=E1=BD=90) ("uv" ?=E1=BD=90)
- ("u/" ?=E1=BD=BB)
+ ("u/" ?=CF=8D)
  ("u/`" ?=E1=BD=95) ("u/V" ?=E1=BD=95) ("u`/" ?=E1=BD=95) ("uV/" ?=E1=BD=
=95)
  ("u/'" ?=E1=BD=94) ("u/v" ?=E1=BD=94) ("u'/" ?=E1=BD=94) ("uv/" ?=E1=BD=
=94)
  ("u?" ?=E1=BD=BA)
@@ -383,12 +383,12 @@ "greek-mizuochi"
  ("u^'"  ?=E1=BD=96) ("u^v"  ?=E1=BD=96) ("u\\'" ?=E1=BD=96) ("u\\v" ?=E1=
=BD=96)
  ("u'^"  ?=E1=BD=96) ("uv^"  ?=E1=BD=96) ("u'\\" ?=E1=BD=96) ("uv\\" ?=E1=
=BD=96)
  ("u\"" ?=CF=8B)
- ("u\"/" ?=E1=BF=A3) ("u/\"" ?=E1=BF=A3)
+ ("u\"/" ?=CE=B0) ("u/\"" ?=CE=B0)
  ("u\"?" ?=E1=BF=A2) ("u?\"" ?=E1=BF=A2)
=20
  ("w`" ?=E1=BD=A1) ("wV" ?=E1=BD=A1)
  ("w'" ?=E1=BD=A0) ("wv" ?=E1=BD=A0)
- ("w/" ?=E1=BD=BD)
+ ("w/" ?=CF=8E)
  ("w/`" ?=E1=BD=A5) ("w/V" ?=E1=BD=A5) ("w`/" ?=E1=BD=A5) ("wV/" ?=E1=BD=
=A5)
  ("w/'" ?=E1=BD=A4) ("w/v" ?=E1=BD=A4) ("w'/" ?=E1=BD=A4) ("wv/" ?=E1=BD=
=A4)
  ("w?" ?=E1=BD=BC)
@@ -551,7 +551,7 @@ "greek-babel"
=20
  ("<i" ?=E1=BC=B1)
  (">i" ?=E1=BC=B0)
- ("'i" ?=E1=BD=B7)
+ ("'i" ?=CE=AF)
  ("<'i" ?=E1=BC=B5)
  (">'i" ?=E1=BC=B4)
  ("`i" ?=E1=BD=B6)
@@ -561,12 +561,12 @@ "greek-babel"
  ("<~i"  ?=E1=BC=B7)
  (">~i"  ?=E1=BC=B6)
  ("\"i" ?=CF=8A)
- ("\"'i" ?=E1=BF=93)
+ ("\"'i" ?=CE=90)
  ("\"`i" ?=E1=BF=92)
=20
  ("<I" ?=E1=BC=B9)
  (">I" ?=E1=BC=B8)
- ("'I" ?=E1=BF=9B)
+ ("'I" ?=CE=8A)
  ("<'I" ?=E1=BC=BD)
  (">'I" ?=E1=BC=BC)
  ("`I" ?=E1=BF=9A)
@@ -587,7 +587,7 @@ "greek-babel"
=20
  ("<e" ?=E1=BC=91)
  (">e" ?=E1=BC=90)
- ("'e" ?=E1=BD=B3)
+ ("'e" ?=CE=AD)
  ("<'e" ?=E1=BC=95)
  (">'e" ?=E1=BC=94)
  ("`e" ?=E1=BD=B2)
@@ -596,7 +596,7 @@ "greek-babel"
=20
  ("<E" ?=E1=BC=99)
  (">E" ?=E1=BC=98)
- ("'E" ?=E1=BF=89)
+ ("'E" ?=CE=88)
  ("<'E" ?=E1=BC=9D)
  (">'E" ?=E1=BC=9C)
  ("`E" ?=E1=BF=88)
@@ -605,7 +605,7 @@ "greek-babel"
=20
  ("<a" ?=E1=BC=81)
  (">a" ?=E1=BC=80)
- ("'a" ?=E1=BD=B1)
+ ("'a" ?=CE=AC)
  ("<'a" ?=E1=BC=85)
  (">'a" ?=E1=BC=84)
  ("`a" ?=E1=BD=B0)
@@ -617,7 +617,7 @@ "greek-babel"
=20
  ("<A" ?=E1=BC=89)
  (">A" ?=E1=BC=88)
- ("'A" ?=E1=BE=BB)
+ ("'A" ?=CE=86)
  ("<'A" ?=E1=BC=8D)
  (">'A" ?=E1=BC=8C)
  ("`A" ?=E1=BE=BA)
@@ -654,7 +654,7 @@ "greek-babel"
=20
  ("<h" ?=E1=BC=A1)
  (">h" ?=E1=BC=A0)
- ("'h" ?=E1=BD=B5)
+ ("'h" ?=CE=AE)
  ("<'h" ?=E1=BC=A5)
  (">'h" ?=E1=BC=A4)
  ("`h" ?=E1=BD=B4)
@@ -666,7 +666,7 @@ "greek-babel"
=20
  ("<H" ?=E1=BC=A9)
  (">H" ?=E1=BC=A8)
- ("'H" ?=E1=BF=8B)
+ ("'H" ?=CE=89)
  ("<'H" ?=E1=BC=AD)
  (">'H" ?=E1=BC=AC)
  ("`H" ?=E1=BF=8A)
@@ -700,7 +700,7 @@ "greek-babel"
=20
  ("<o" ?=E1=BD=81)
  (">o" ?=E1=BD=80)
- ("'o" ?=E1=BD=B9)
+ ("'o" ?=CF=8C)
  ("<'o" ?=E1=BD=85)
  (">'o" ?=E1=BD=84)
  ("`o" ?=E1=BD=B8)
@@ -709,7 +709,7 @@ "greek-babel"
=20
  ("<O" ?=E1=BD=89)
  (">O" ?=E1=BD=88)
- ("'O" ?=E1=BF=B9)
+ ("'O" ?=CE=8C)
  ("<'O" ?=E1=BD=8D)
  (">'O" ?=E1=BD=8C)
  ("`O" ?=E1=BF=B8)
@@ -718,7 +718,7 @@ "greek-babel"
=20
  ("<u"   ?=E1=BD=91)
  (">u"   ?=E1=BD=90)
- ("'u"   ?=E1=BD=BB)
+ ("'u"   ?=CF=8D)
  ("<'u"  ?=E1=BD=95)
  (">'u"  ?=E1=BD=94)
  ("`u"   ?=E1=BD=BA)
@@ -728,11 +728,11 @@ "greek-babel"
  ("<~u"  ?=E1=BD=97)
  (">~u"  ?=E1=BD=96)
  ("\"u"  ?=CF=8B)
- ("\"'u" ?=E1=BF=A3)
+ ("\"'u" ?=CE=B0)
  ("`\"u" ?=E1=BF=A2)
=20
  ("<U"   ?=E1=BD=99)
- ("'U"   ?=E1=BF=AB)
+ ("'U"   ?=CE=8E)
  ("<'U"  ?=E1=BD=9D)
  ("`U"   ?=E1=BF=AA)
  ("<`U"  ?=E1=BD=9B)
@@ -741,7 +741,7 @@ "greek-babel"
=20
  ("<w"  ?=E1=BD=A1)
  (">w"  ?=E1=BD=A0)
- ("'w"  ?=E1=BD=BD)
+ ("'w"  ?=CF=8E)
  ("<'w" ?=E1=BD=A5)
  (">'w" ?=E1=BD=A4)
  ("`w"  ?=E1=BD=BC)
@@ -753,7 +753,7 @@ "greek-babel"
=20
  ("<W"  ?=E1=BD=A9)
  (">W"  ?=E1=BD=A8)
- ("'W"  ?=E1=BF=BB)
+ ("'W"  ?=CE=8F)
  ("<'W" ?=E1=BD=AD)
  (">'W" ?=E1=BD=AC)
  ("`W"  ?=E1=BF=BA)
@@ -992,19 +992,19 @@ "greek-ibycus4"
  ("(=3DW" ?=E1=BD=AF)
=20
  ("a`" ?=E1=BD=B0)
- ("a'" ?=E1=BD=B1)
+ ("a'" ?=CE=AC)
  ("e`" ?=E1=BD=B2)
- ("e'" ?=E1=BD=B3)
+ ("e'" ?=CE=AD)
  ("h`" ?=E1=BD=B4)
- ("h'" ?=E1=BD=B5)
+ ("h'" ?=CE=AE)
  ("i`" ?=E1=BD=B6)
- ("i'" ?=E1=BD=B7)
+ ("i'" ?=CE=AF)
  ("o`" ?=E1=BD=B8)
- ("o'" ?=E1=BD=B9)
+ ("o'" ?=CF=8C)
  ("u`" ?=E1=BD=BA)
- ("u'" ?=E1=BD=BB)
+ ("u'" ?=CF=8D)
  ("w`" ?=E1=BD=BC)
- ("w'" ?=E1=BD=BD)
+ ("w'" ?=CF=8E)
=20
  ("a)|" ?=E1=BE=80)
  ("a(|" ?=E1=BE=81)
@@ -1067,7 +1067,7 @@ "greek-ibycus4"
  ("a=3D|" ?=E1=BE=B7)
=20
  ("`A" ?=E1=BE=BA)
- ("'A" ?=E1=BE=BB)
+ ("'A" ?=CE=86)
  ("A|" ?=E1=BE=BC)
=20
  (")" ?=E1=BE=BF) ; #x1fbf ; psili
@@ -1081,10 +1081,10 @@ "greek-ibycus4"
  ("h=3D|" ?=E1=BF=87)
=20
  ("`E" ?=E1=BF=88)
- ("'E" ?=E1=BF=89)
+ ("'E" ?=CE=88)
=20
  ("`H" ?=E1=BF=8A)
- ("'H" ?=E1=BF=8B)
+ ("'H" ?=CE=89)
  ("H|" ?=E1=BF=8C)
=20
  (")`" ?=E1=BF=8D) ; #x1fcd
@@ -1092,19 +1092,19 @@ "greek-ibycus4"
  (")=3D" ?=E1=BF=8F) ; #x1fcf
=20
  ("i+`" ?=E1=BF=92)
- ("i+'" ?=E1=BF=93)
+ ("i+'" ?=CE=90)
  ("i=3D" ?=E1=BF=96)
  ("i+=3D" ?=E1=BF=97)
=20
  ("`I" ?=E1=BF=9A)
- ("'I" ?=E1=BF=9B)
+ ("'I" ?=CE=8A)
=20
  ("(`" ?=E1=BF=9D) ; #x1fdd
  ("('" ?=E1=BF=9E) ; #x1fde
  ("(=3D" ?=E1=BF=9F) ; #x1fdf
=20
  ("u+`" ?=E1=BF=A2)
- ("u+'" ?=E1=BF=A3)
+ ("u+'" ?=CE=B0)
=20
  ("r)" ?=E1=BF=A4)
  ("r(" ?=E1=BF=A5)
@@ -1113,7 +1113,7 @@ "greek-ibycus4"
  ("u+=3D" ?=E1=BF=A7)
=20
  ("`U" ?=E1=BF=AA)
- ("'U" ?=E1=BF=AB)
+ ("'U" ?=CE=8E)
=20
  ("`R" ?=E1=BF=AC)
=20
@@ -1128,10 +1128,10 @@ "greek-ibycus4"
  ("w=3D|" ?=E1=BF=B7)
=20
  ("`O" ?=E1=BF=B8)
- ("'O" ?=E1=BF=B9)
+ ("'O" ?=CE=8C)
=20
  ("`W" ?=E1=BF=BA)
- ("'W" ?=E1=BF=BB)
+ ("'W" ?=CE=8F)
  ("W|" ?=E1=BF=BC)
=20
  ("'" ?=E1=BF=BD) ; #x1ffd ; oxia
diff --git a/lisp/leim/quail/rfc1345.el b/lisp/leim/quail/rfc1345.el
index da1a453a9c..c08fa398c0 100644
--- a/lisp/leim/quail/rfc1345.el
+++ b/lisp/leim/quail/rfc1345.el
@@ -35,7 +35,7 @@
  nil t nil nil nil nil nil nil nil nil t)
=20
 (quail-define-rules
-;; There doesn't seem to be any point in including ASCII.
+ ;; There doesn't seem to be any point in including ASCII.
  ("&PA" ?\200)
  ("&HO" ?\201)
  ("&BH" ?\202)
@@ -928,19 +928,19 @@
  ("&W*," ?=E1=BD=A8)
  ("&W*;" ?=E1=BD=A9)
  ("&a*!" ?=E1=BD=B0)
- ("&a*'" ?=E1=BD=B1)
+ ("&a*'" ?=CE=AC)
  ("&e*!" ?=E1=BD=B2)
- ("&e*'" ?=E1=BD=B3)
+ ("&e*'" ?=CE=AD)
  ("&y*!" ?=E1=BD=B4)
- ("&y*'" ?=E1=BD=B5)
+ ("&y*'" ?=CE=AE)
  ("&i*!" ?=E1=BD=B6)
- ("&i*'" ?=E1=BD=B7)
+ ("&i*'" ?=CE=AF)
  ("&o*!" ?=E1=BD=B8)
- ("&o*'" ?=E1=BD=B9)
+ ("&o*'" ?=CF=8C)
  ("&u*!" ?=E1=BD=BA)
- ("&u*'" ?=E1=BD=BB)
+ ("&u*'" ?=CF=8D)
  ("&w*!" ?=E1=BD=BC)
- ("&w*'" ?=E1=BD=BD)
+ ("&w*'" ?=CF=8E)
  ("&a*(" ?=E1=BE=B0)
  ("&a*-" ?=E1=BE=B1)
  ("&a*j" ?=E1=BE=B3)
@@ -948,7 +948,7 @@
  ("&A*(" ?=E1=BE=B8)
  ("&A*-" ?=E1=BE=B9)
  ("&A*!" ?=E1=BE=BA)
- ("&A*'" ?=E1=BE=BB)
+ ("&A*'" ?=CE=86)
  ("&A*J" ?=E1=BE=BC)
  ("&)*" ?=E1=BE=BD)
  ("&J3" ?=E1=BE=BE)
@@ -957,9 +957,9 @@
  ("&?:" ?=E1=BF=81)
  ("&y*j" ?=E1=BF=83)
  ("&y*?" ?=E1=BF=86)
- ("&E*'" ?=E1=BF=89)
+ ("&E*'" ?=CE=88)
  ("&Y*!" ?=E1=BF=8A)
- ("&Y*'" ?=E1=BF=8B)
+ ("&Y*'" ?=CE=89)
  ("&Y*J" ?=E1=BF=8C)
  ("&,!" ?=E1=BF=8D)
  ("&,'" ?=E1=BF=8E)
@@ -970,7 +970,7 @@
  ("&I*(" ?=E1=BF=98)
  ("&I*-" ?=E1=BF=99)
  ("&I*!" ?=E1=BF=9A)
- ("&I*'" ?=E1=BF=9B)
+ ("&I*'" ?=CE=8A)
  ("&;!" ?=E1=BF=9D)
  ("&;'" ?=E1=BF=9E)
  ("&?;" ?=E1=BF=9F)
@@ -982,7 +982,7 @@
  ("&U*(" ?=E1=BF=A8)
  ("&U*-" ?=E1=BF=A9)
  ("&U*!" ?=E1=BF=AA)
- ("&U*'" ?=E1=BF=AB)
+ ("&U*'" ?=CE=8E)
  ("&R*;" ?=E1=BF=AC)
  ("&!:" ?=E1=BF=AD)
  ("&:'" ?=E1=BF=AE)
@@ -990,9 +990,9 @@
  ("&w*j" ?=E1=BF=B3)
  ("&w*?" ?=E1=BF=B6)
  ("&O*!" ?=E1=BF=B8)
- ("&O*'" ?=E1=BF=B9)
+ ("&O*'" ?=CE=8C)
  ("&W*!" ?=E1=BF=BA)
- ("&W*'" ?=E1=BF=BB)
+ ("&W*'" ?=CE=8F)
  ("&W*J" ?=E1=BF=BC)
  ("&/*" ?=E1=BF=BD)
  ("&;;" ?=E1=BF=BE)
--=20
2.20.1


--=-=-=
Content-Type: text/plain


> What about GREEK OXIA vs GREEK TONOS as standalone characters? Should
> we replace the former with the latter?

I'm not sure; see my other message.  AFAIK vowels composed with oxia
decompose to their tonos counterparts, but not so oxia itself.  I'm
still confused as to what Quail should do with these equivalences.
Should it always use the simplest possible composition?

Thanks,

-- 
Basil

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 18:16:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 14:16:45 2019
Received: from localhost ([127.0.0.1]:54658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoAxR-0004Ap-1b
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 14:16:45 -0400
Received: from mail-wr1-f65.google.com ([209.85.221.65]:46668)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hoAxO-0004AY-Hh
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 14:16:43 -0400
Received: by mail-wr1-f65.google.com with SMTP id z1so29679263wru.13
 for <36717 <at> debbugs.gnu.org>; Thu, 18 Jul 2019 11:16:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=ITgr50owweyCq+Q6J7HZZPqOBY7owRrTZ7Ba1l8kRuE=;
 b=jx6T4fvdwT/vqcO1IPyyL4Qm1wumgu1Pf+Y807uv7BhM4NtcuAE21UwZ0k89a1ezQR
 ZAsxsYEaE70JPqeVY+I4OqoJn7jafRTaia4d2xWUogsOhY1t+l8NVlkBBHuzbwBVd2/j
 0u6bVk+khscnu+tL6ZDO+dSpGPnLJgkvG2R27k3ODoubJKzxX2WIjj8bzTlPXY9ZhqWg
 AhGGeR5Nfqde6MWPIZwutpKftoF8sj03J2H7zlrbBKvJTJ4ff/FyZV2HUlWSd9+E1ppi
 danlJqI8oJ7D9MNzv1LQEbyMDWBLO5hwughDsDyu13Kt6DkSBYe3oo8iHLaKWB0oU1C3
 c4Bw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=ITgr50owweyCq+Q6J7HZZPqOBY7owRrTZ7Ba1l8kRuE=;
 b=s8GPHIVm/y6hp796/DC9xKrekdJK5vnvaqOdVJnK4dCGJZ/s6nihwCSsHURV+dQFL1
 PHEeF8t4kS9nbkKfPPZ9E71Q93XdzzOW0/Bi2lEu9NMjipHflsaUxFdCyikebt2tPXH/
 4q09sevgMyEoBa4UP1iNdn5me69IgSwjRpbPs3NcOEOmPR6p5Lltm3al44e/CQHuOZjQ
 F5NaTOYK06XHFmnachJyj1D7IGW2xbIouPTO/q2FIiaBpZXXOd8OH+waMyKWMpKdVeWg
 BhKr6Lj5l3Dy2BFre59UBMtY+WaFN5xuYn3KiZGJM0CYSGXshmmXSVZnObTdtR6qTkhk
 yGpA==
X-Gm-Message-State: APjAAAXcFahMyxqQGVZWoVIb4Y9Uge7ltvziKQZoUF2qFhxWOBLhkU2g
 3M5BlwzoM5Nck2C1Ss8yNVAPLBxwM7M=
X-Google-Smtp-Source: APXvYqwic8ikRsdzBK1KM8fDSByT03cyoHVuvAIJbWyYp0xZtAHiiYRgAlNl0ag/oqINUfKLvaBLTg==
X-Received: by 2002:adf:e841:: with SMTP id d1mr51714688wrn.204.1563473796790; 
 Thu, 18 Jul 2019 11:16:36 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:1f68:7ff5:120d:64e])
 by smtp.gmail.com with ESMTPSA id u186sm43565997wmu.26.2019.07.18.11.16.36
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 18 Jul 2019 11:16:36 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
Date: Thu, 18 Jul 2019 19:16:34 +0100
In-Reply-To: <87zhlbaf5d.fsf@HIDDEN>
 (Robert Alessi's message of "Thu, 18 Jul 2019 11:03:10 +0200")
Message-ID: <87lfwv2oot.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Alessi <alessi@HIDDEN> writes:

> As of 2016, the latest versions of Unicode (as of 2016) have now
> formally deprecated and removed the vowel+oxia combinations from the
> Greek extended range, leaving only the vowel+tonos from the basic Greek
> and Coptic range.

Where is the deprecation documented?  What do you mean by "removed"?
AFAIK all of the "deprecated" codepoints are still part of the latest
Unicode standard[1].

> As a result of this deprecation, the sixteen characters found in
> greek.el (Quail package for inputting Greek) that use extended
> codepoints should be replaced with those that use basic codepoints.

I'm not opposed to such a simple search+replace[2], but I'm no expert on
these matters (so please bear with me), and I wonder what effects, if
any, such a change may have.

AFAICT all occurrences of the "deprecated" codepoints in greek.el appear
in classical Greek input methods, not the modern Greek input methods
greek or greek-postfix.  Would users of the classical input methods ever
want to explicitly use the oxia, not tonos, variants?

What confuses me is that, AIUI, the "deprecated" codepoints should
decompose to their Greek and Coptic counterparts[3].  How does Quail
interplay with Unicode normalisation?

[1]: https://www.unicode.org/charts/PDF/U1F00.pdf
[2]: Indeed, I've seen people trip over this discrepancy, but I forgot
     to follow up on this: https://emacs.stackexchange.com/a/43927/15748
[3]: http://www.unicode.org/charts/normalization/

> All affected characters can be found here: -->
> https://wiki.digitalclassicist.org/Greek_Unicode_duplicated_vowels#Affect=
ed_characters
>
> Although most Unicode Greek fonts display both versions identically, in
> some cases, not using basic codepoints can break advanced features such
> as alternate forms in Greek script.  To take an example, if some feature
> is supposed to distinguish between regular and `curly' *beta* (=CE=B2/=CF=
=90) so
> as to print the `curly' shape if the *beta* is found in medial position,
> the substitution will succeed in =CE=B2=CE=AC=CF=81=CE=B2=CE=B1=CF=81=CE=
=BF=CF=82, but fail in =CE=BB=CE=AC=CE=B2=CF=81=CE=BF=CF=82 just
> because of the extended codepoint of =CE=AC that is used by `greek.el`.

How does the use of oxia instead of tonos on the alpha affect the
substitution of the beta?

Thanks,

--=20
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 18:06:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 14:06:23 2019
Received: from localhost ([127.0.0.1]:54647 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoAnP-0003to-LG
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 14:06:23 -0400
Received: from mail-wm1-f44.google.com ([209.85.128.44]:50561)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hoAnN-0003tX-9k
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 14:06:22 -0400
Received: by mail-wm1-f44.google.com with SMTP id v15so26501581wml.0
 for <36717 <at> debbugs.gnu.org>; Thu, 18 Jul 2019 11:06:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=iKlhEfFb2+1+UpaH6xGK6t4LO1rW3ChpHeay2HrJWi4=;
 b=EHFpgtI+H8uTAvNz9EKrn6jFCsfu6vnNuCA1Jyxc8R2X5123JZt2KxoureFUiUwb1f
 M/CZYdq0A6rChJQRbLmg5eKC9a7qxao8D4D7BpSMVBoaj9S+t73SKLhIXOkbYAzg/1t3
 oiLlrgy4MQVATNPS0yKL23inax/q1TKiqo1RpNp/uBS0QVamfZsLBwxKKeGuj1TNcetI
 Nqxqatm+a646NfkMX9t4tTs/LBz+Pe1g9PPJVXSJo7juYov2dE3bJ8f7XxzDsgK/YTN7
 8hVidrE5YWRJpDTxTWupUJZXa1IadggpHjh8Cs5TtMB+ByD98tXS1gIUuc6TwWCfxD7N
 CAfw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=iKlhEfFb2+1+UpaH6xGK6t4LO1rW3ChpHeay2HrJWi4=;
 b=ufOSXdMLFQ4tLatFO/cjRDRUyOxMyLhjW1XGY7uSjA7sTvX8Eu2OBfMf3m4wE0RyRc
 XVrwW5SDKBw2mxSclCubM4xmkiEHwvCksM14zLiIMC+BCnwVhRNR/XeZzdzhlpAi5+JE
 BFS78IijNsL0lQPjZewhKfjvTakikf+d3dN5N1jml0Cc2fXOtABLQQehJYQdeR7H2/LX
 rOdlD0IAXR3ucygnXJ/mMhADO1VgAXCS9/43N6sekfxQalM64qGnB2idBKv7uwksC/IP
 qFhP92eOgRI0yoCj+iVv4g7cCuoIyisRkogcTggYiOI0iFYxJOkfq6xvZbDydh9aI1OM
 G/ag==
X-Gm-Message-State: APjAAAVLPWg5Pl45DJkCwxc4RfBDLJcqUbGMB9gSodRruZk/hb37UBeI
 ewuYeIukvCAfAQsYDMeEg8DAZgwr
X-Google-Smtp-Source: APXvYqwkyKFgA6vgXezwqF4dYJgoSdVFqYMHOPMTQs6THzruWNT3a1qADXzD8v5etHj1qUd/X61+/A==
X-Received: by 2002:a1c:c90f:: with SMTP id f15mr11639349wmb.98.1563473174879; 
 Thu, 18 Jul 2019 11:06:14 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:654d:cd3a:755a:ad29])
 by smtp.gmail.com with ESMTPSA id p7sm10832960wrs.6.2019.07.18.11.06.13
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 18 Jul 2019 11:06:13 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN> <20190718173252.GA3093@HIDDEN>
Date: Thu, 18 Jul 2019 20:06:13 +0200
In-Reply-To: <20190718173252.GA3093@HIDDEN> (Robert Alessi's message
 of "Thu, 18 Jul 2019 19:32:52 +0200")
Message-ID: <m2h87jrze2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 18 Jul 2019 19:32:52 +0200, Robert Alessi <alessi@robertaless=
i.net> said:
    >> I took a look at greek.el, that shouldn't be difficult. What about
    >> GREEK OXIA vs GREEK TONOS as standalone characters? Should we replace
    >> the former with the latter?

    Robert> Very well spotted.  Actually, the latter is the right one=E2=80=
=94that is:
                                              ^^^^^^
    Robert> Greek Tonos, U+0384=E2=80=94while the former, Greek Oxia (U+1FF=
D) belongs to
    Robert> the group that was deprecated.  So it is the other way round: k=
eep the
    Robert> former, and make the latter go.
            ^^^^^^

Now I=CA=BCm confused :-)

Currently greek.el input methods insert \u1ffd, rather than
\u0384. Which one do you want?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 18:02:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 14:02:04 2019
Received: from localhost ([127.0.0.1]:54639 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoAjD-0003km-56
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 14:02:03 -0400
Received: from mx1.riseup.net ([198.252.153.129]:39346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1hoAH2-0002zD-D7
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 13:32:57 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id A85701A0E73;
 Thu, 18 Jul 2019 10:32:55 -0700 (PDT)
X-Riseup-User-ID: 06BAA563C6BD3DE5C976FBA98927499F669D72F977DDC68DC36CDB6259CB0148
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 6958A220E29;
 Thu, 18 Jul 2019 10:32:55 -0700 (PDT)
Date: Thu, 18 Jul 2019 19:32:52 +0200
From: Robert Alessi <alessi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
Message-ID: <20190718173252.GA3093@HIDDEN>
References: <87zhlbaf5d.fsf@HIDDEN>
 <m2pnm7s896.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <m2pnm7s896.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36717
X-Mailman-Approved-At: Thu, 18 Jul 2019 14:02:02 -0400
Cc: 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Jul 18, 2019 at 04:54:45PM +0200, Robert Pluim wrote:
> >>>>> On Thu, 18 Jul 2019 11:03:10 +0200, Robert Alessi <alessi@HIDDEN> said:
> 
>     Robert> As of 2016, the latest versions of Unicode (as of 2016) have now
>     Robert> formally deprecated and removed the vowel+oxia combinations from the
>     Robert> Greek extended range, leaving only the vowel+tonos from the basic Greek
>     Robert> and Coptic range.
> 
>     Robert> As a result of this deprecation, the sixteen characters found in
>     Robert> greek.el (Quail package for inputting Greek) that use extended
>     Robert> codepoints should be replaced with those that use basic codepoints.  All
>     Robert> affected characters can be found here:
>     --> 
>     Robert> https://wiki.digitalclassicist.org/Greek_Unicode_duplicated_vowels#Affected_characters
> 
> I took a look at greek.el, that shouldn't be difficult. What about
> GREEK OXIA vs GREEK TONOS as standalone characters? Should we replace
> the former with the latter?

Very well spotted.  Actually, the latter is the right one—that is:
Greek Tonos, U+0384—while the former, Greek Oxia (U+1FFD) belongs to
the group that was deprecated.  So it is the other way round: keep the
former, and make the latter go.

Thank you,

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at 36717 <at> debbugs.gnu.org:


Received: (at 36717) by debbugs.gnu.org; 18 Jul 2019 14:54:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 10:54:58 2019
Received: from localhost ([127.0.0.1]:54489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ho7o9-0002qz-Pw
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 10:54:58 -0400
Received: from mail-wr1-f53.google.com ([209.85.221.53]:34832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1ho7o6-0002ql-Oi
 for 36717 <at> debbugs.gnu.org; Thu, 18 Jul 2019 10:54:56 -0400
Received: by mail-wr1-f53.google.com with SMTP id y4so29059221wrm.2
 for <36717 <at> debbugs.gnu.org>; Thu, 18 Jul 2019 07:54:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=XhKU87DMotb6+2DesDhTb+cbqZwhvef3OHdglVMWpoU=;
 b=JyL8OcwVmYZYkIy/phdTf0fmNSp09nVp3N9vEjpgg0tRxOyM/5KFolBxhX7o6n8kju
 QTbuCIw0mJMEp8Lp5sMEubradxMUPMhbxrATwiGFBHAxYMFyIC5lTeSmEqA0+F/uxSeT
 erb0DqODn5tqObjgCE3FAhN4m1Fv04CzfNlhJrVmthz/KH6ObhElJ6ZG71L5njRLf1O9
 HDuWM+Hm/cuzK7qObES7t30RMPW+DLG7riV+LXNRaxRvDG4SNrQdcwQ+7TmEz2dBWcNG
 aEpO8wb7rbPSsR54GgT1k5JOPw0OssqEBNG4P7LG3Ftba4kHrGq5wsH6Qf4mGsjTBmxS
 LprQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=XhKU87DMotb6+2DesDhTb+cbqZwhvef3OHdglVMWpoU=;
 b=r9OXVK4anfmyEZK7AziaJCL5cMlg4wnimgwMI0n3aAJki9B2smCeCviG1c54MZeNGe
 lrERTUTx4kMAhmOz5N+DC2XjRKft5OHqXQwYX5k75ks2q0IRnuuE9IYO8KFHyBB/GBao
 qbIyXy8djIIXFdsOkjKiYEEVb+LdDjAVMIbbowIxmDUF++pMFcSCCWeLxjNczH8JJpSP
 Q5Lg70ycnN3/gn4477nZeFh5U1y+0T/Csj1RRPlaqA7JCk7sk2G+Rhp2QtcwHxftgteb
 R02fAnOC2sn16osi7ihSh1zz3OD/0MpeSQPiXLF262fSVbJaP+GVZfsE8LmHZPkgW1SX
 errQ==
X-Gm-Message-State: APjAAAXfEoGg5cQ6sQhDIg3AyuDJtsU5RKXy/Qyo17KzqXYbvH05zLB2
 93MuTHDj6F5jz7ZbR0yJ3UnQs9kF
X-Google-Smtp-Source: APXvYqwLlrEmoiX2bUap73o2LgCil0GvD5fkUn5aSMVQ10OUWwq0UY8sPhiYYCrhIdk66rbOMq8jEA==
X-Received: by 2002:adf:dd01:: with SMTP id a1mr49064779wrm.12.1563461688074; 
 Thu, 18 Jul 2019 07:54:48 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id v16sm7233571wrn.28.2019.07.18.07.54.46
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 18 Jul 2019 07:54:46 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Robert Alessi <alessi@HIDDEN>
Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations
 should be replaced with vowel+tonos counterparts
References: <87zhlbaf5d.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Thu, 18 Jul 2019 16:54:45 +0200
In-Reply-To: <87zhlbaf5d.fsf@HIDDEN>
 (Robert Alessi's message of "Thu, 18 Jul 2019 11:03:10 +0200")
Message-ID: <m2pnm7s896.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36717
Cc: 36717 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 18 Jul 2019 11:03:10 +0200, Robert Alessi <alessi@HIDDEN> said:

    Robert> As of 2016, the latest versions of Unicode (as of 2016) have now
    Robert> formally deprecated and removed the vowel+oxia combinations from the
    Robert> Greek extended range, leaving only the vowel+tonos from the basic Greek
    Robert> and Coptic range.

    Robert> As a result of this deprecation, the sixteen characters found in
    Robert> greek.el (Quail package for inputting Greek) that use extended
    Robert> codepoints should be replaced with those that use basic codepoints.  All
    Robert> affected characters can be found here:
    --> 
    Robert> https://wiki.digitalclassicist.org/Greek_Unicode_duplicated_vowels#Affected_characters

I took a look at greek.el, that shouldn't be difficult. What about
GREEK OXIA vs GREEK TONOS as standalone characters? Should we replace
the former with the latter?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jul 2019 13:38:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 18 09:38:03 2019
Received: from localhost ([127.0.0.1]:53625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ho6bi-0000nh-Eg
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 09:38:03 -0400
Received: from lists.gnu.org ([209.51.188.17]:60271)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alessi@HIDDEN>) id 1ho2K9-0004T3-Od
 for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 05:03:38 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34106)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <alessi@HIDDEN>) id 1ho2K8-0006wG-Aw
 for bug-gnu-emacs@HIDDEN; Thu, 18 Jul 2019 05:03:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alessi@HIDDEN>) id 1ho2K6-0004ki-Ai
 for bug-gnu-emacs@HIDDEN; Thu, 18 Jul 2019 05:03:36 -0400
Received: from mx1.riseup.net ([198.252.153.129]:43208)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <alessi@HIDDEN>)
 id 1ho2K4-0004Vh-Pl
 for bug-gnu-emacs@HIDDEN; Thu, 18 Jul 2019 05:03:34 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 80E4D1B9321
 for <bug-gnu-emacs@HIDDEN>; Thu, 18 Jul 2019 02:03:13 -0700 (PDT)
X-Riseup-User-ID: 097142780589F55512C02A625D7AE723081E34FB278DB4507F93EE4754ECE01A
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 1B00B223490
 for <bug-gnu-emacs@HIDDEN>; Thu, 18 Jul 2019 02:03:13 -0700 (PDT)
From: Robert Alessi <alessi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.3;
 greek.el: deprecated vowel+oxia combinations should be replaced with
 vowel+tonos counterparts
Date: Thu, 18 Jul 2019 11:03:10 +0200
Message-ID: <87zhlbaf5d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 18 Jul 2019 09:38:00 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


As of 2016, the latest versions of Unicode (as of 2016) have now
formally deprecated and removed the vowel+oxia combinations from the
Greek extended range, leaving only the vowel+tonos from the basic Greek
and Coptic range.

As a result of this deprecation, the sixteen characters found in
greek.el (Quail package for inputting Greek) that use extended
codepoints should be replaced with those that use basic codepoints.  All
affected characters can be found here:
-->
https://wiki.digitalclassicist.org/Greek_Unicode_duplicated_vowels#Affected=
_characters

Although most Unicode Greek fonts display both versions identically, in
some cases, not using basic codepoints can break advanced features such
as alternate forms in Greek script.  To take an example, if some feature
is supposed to distinguish between regular and `curly' *beta* (=CE=B2/=CF=
=90) so
as to print the `curly' shape if the *beta* is found in medial position,
the substitution will succeed in =CE=B2=CE=AC=CF=81=CE=B2=CE=B1=CF=81=CE=BF=
=CF=82, but fail in =CE=BB=CE=AC=CE=B2=CF=81=CE=BF=CF=82 just
because of the extended codepoint of =CE=AC that is used by `greek.el`.

Best,

Robert

---------------------------------------------------------------
In GNU Emacs 25.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.22.12)
 of 2018-05-26 built on wsc_andre
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description:	Hyperbola GNU/Linux-libre

Configured using:
 'configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib
 --localstatedir=3D/var --with-x-toolkit=3Dgtk3 --with-xft --with-modules
 'CFLAGS=3D-march=3Dx86-64 -mtune=3Dgeneric -O2 -pipe -fstack-protector-str=
ong
 -fno-plt' CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2
 LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES

Important settings:
  value of $LANG: fr_FR.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  global-linum-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Loading linum...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...
Quit
Making completion list...
report-emacs-bug-insert-to-mailer: Subject, To or body not found
delete-backward-char: Text is read-only
completing-read-default: Command attempted to use minibuffer while in minib=
uffer
Quit [3 times]

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message idna dired format-spec rfc822
mml mml-sec password-cache epg gnus-util mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util help-fns mail-prsvr mail-utils linum
cus-start cus-load edmacro kmacro reftex reftex-vars iso-transl server
finder-inf tex-site info package epg-config seq byte-opt gv bytecomp
byte-compile cl-extra help-mode easymenu cconv cl-loaddefs pcase cl-lib
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 186681 12333)
 (symbols 48 25396 0)
 (miscs 40 148 144)
 (strings 32 46038 6600)
 (string-bytes 1 1175040)
 (vectors 16 17760)
 (vector-slots 8 518374 6741)
 (floats 8 202 250)
 (intervals 56 294 17)
 (buffers 976 20))

--=20
Robert Alessi
CNRS UMR 8167 =C2=ABOrient & M=C3=A9diterran=C3=A9e=C2=BB (Paris)




Acknowledgement sent to Robert Alessi <alessi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36717; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 7 Aug 2019 20:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.